Copyright Notice

Copyright

Copyright © Tektronix. All rights reserved. Licensed software products are owned by Tektronix or its subsidiaries or its suppliers, and are protected by national copyright laws and international treaty provisions.

Tektronix products are covered by U.S. and foreign patents, issued and pending. Information in this publication supercedes that in all previously published material. Specifications and price change privileges reserved.

TEKTRONIX and TEK are registered trademarks of Tektronix, Inc.

TDSUSB2 Compliance Test Software Online Help, 076-0046-02, Version 3.0.4

Contacting Tektronix:

Tektronix, Inc.

14200 SW Karl Braun Drive

P.O. Box 500

Beaverton, OR 97077

USA

For product information, sales, service, and technical support:

• In North America, call 1-800-833-9200.

• Worldwide, visit www.tektronix.com to find contacts in your area.


General Safety Summary

Review the following safety precautions to avoid injury and prevent damage to this product or any products connected to it. To avoid potential hazards, use this product only as specified.

Only qualified personnel should perform service procedures. While using this product, you may need to access other parts of the system.

Read the General Safety Summary in other system manuals for warnings and cautions related to operating the system.

To avoid Fire and Personal Injury

Use Proper Power Cord. Use only the power cord specified for this product and certified for the country of use.

Connect and Disconnect Properly. Connect the probe output to the measurement oscilloscope before connecting the probe to the circuit under test. Disconnect the probe input and the probe ground from the circuit under test before disconnecting the probe from the measurement oscilloscope.

Ground the Product. This product is indirectly grounded through the grounding conductor of the mainframe power cord. To avoid electric shock, the grounding conductor must be connected to earth ground. Before making connections to the input or output terminals of the product, ensure that the product is properly grounded.

Observe All Terminal Ratings. To avoid fire or shock hazard, observe all ratings and markings on the product. Consult the product manual for further ratings information before making connections to the product.

Use Proper AC Adapter. Use only the AC adapter specified for this product.

Use Proper Fuse. Use only the fuse type and rating specified for this product.

Do Not Operate With Suspected Failures. If you suspect there is damage to this product, have it inspected by qualified service personnel.

Do Not Operate in Wet/Damp Conditions.

Do Not Operate in an Explosive Atmosphere.

Keep Product Surfaces Clean and Dry.

Terms in this Manual

These terms may appear in this manual:

WARNING. Warning statements identify conditions or practices that could result in injury or loss of life.

CAUTION. Caution statements identify conditions or practices that could result in damage to this product or other property.

Terms on the Product

These terms may appear on the product:

DANGER indicates an injury hazard immediately accessible as you read the marking.

WARNING indicates an injury hazard not immediately accessible as you read the marking.

CAUTION indicates a hazard to property including the product.

Symbols on the Product

The following symbol(s) may appear on the product:


Welcome to the TDSUSB2 Universal Serial Bus Measurements Package

TDSUSB2 Universal Serial Bus Measurements Package is a Sun Java-based application that runs on the supported instruments connected to a PC. You can use the application software with the compliance test fixture to take the following measurements:

  • Signal Quality

  • Inrush

  • Droop

  • Drop (supported by the test fixture only)

  • Receiver Sensitivity

  • Impedance Measurement using Time Domain Reflectometry (TDR), supported by the application only with the test fixture

  • Chirp measurements

  • Packet Parameter

  • Resume

  • Reset from Suspend

  • Reset from High Speed

  • Suspend

The application runs on the oscilloscope and displays on the lower part of the screen. The oscilloscope application runs on the upper part of the screen.

What do you want to do?

Study Online Help and Related Documentation

Read Product Description

Go to Installation Procedures

To return to the Table of Contents, select Help Topics from the Help Topic Menu.


Online Help and Related Documentation

You can access the information on how to operate the application and the oscilloscope through the following related documents and online help.

Click Start > Programs > TekApplications > TDSUSB2 > Help to access the Online Help.

Click Start > Programs > TekApplications > TDSUSB2 > Help (PDF Version) to access the PDF version of the Online Help.

See Also

Read about Using Online Help

Conventions

Related Documentation

Contact Tektronix

Provide feedback on this Tektronix product


Using Online Help

Online help has many advantages over a printed manual because of advanced search capabilities. Select Help on the right side of the application menu bar to bring up the help file.

The main (opening) Help screen shows a series of book icons and three tabs along the top menu, each of which offers a unique mode of assistance:

Tables of Contents (TOC) tab —- organizes the Help into book-like sections. Select a book icon to open a section; select any of the topics listed under the book.

Index tab —- enables you to scroll a list of alphabetical keywords. Select the topic of interest to bring up the appropriate help page.

Search tab —- allows a text-based search. Follow these steps:

  1. Type the word or phrase you want to find in the search box.

  2. Select some matching words in the next box to narrow your search.

  3. Choose a topic in the lower box, and then select the Display button.

To print a topic, select the Print button from the Help Topics menu bar.

Select Options from the menu bar for other commands, such as Refresh.

Select the Back button to return to the previous help window. Use the Hyperlink to jump from one topic to another. If the Back button is grayed out or a jump is not available, choose the Help Topics button to return to the originating help folder.

Browse buttons (Next >> and Previous <<) allow you to move forward and backward through topics in the order of the Table of Contents (TOC).

Sometimes you will see the word, Note, in the topic text. This indicates important information.

Certain aspects of the online help are unique to applications that run on the oscilloscope.

Green-underlined text indicates a jump (hyperlink) to another topic. Select the green text to jump to the related topic. For example, select the green text to jump to the topic on Online Help and Related Documentation and the Back button to return to this topic page.

You can tell when the cursor is over an active hyperlink (button, jump, or popup), because the cursor arrow changes to a small hand.

Note: The light bulb and word Tip in the graphic [image]. This graphic indicates additional information to help you function faster or more efficiently.


Printing from the Online Help

Some online help topics have color in the examples of the displayed application. If you want to print this type of topic on a monochrome printer, some information may not print because of certain colors. Instead, you should print the topic from the PDF (portable document format) file that corresponds to the Online Help. You can find the file in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM. The figures of application menus in the PDF file are gray scale and all of the information prints.


Conventions

Online help uses the following conventions:

  • Refers to the software part of the TDSUSB2 Universal Serial Bus Measurements Package as the TDSUSB2 application or as the application.

  • When steps require a sequence of selections using the application interface, the ">" delimiter marks each transition between a menu and an option. For example, one of the steps to recall a setup file would appear as File> Recall.

  • Unit under test (UUT) refers to the USB2.0 device under test, hub under test, host under test, and port under test.

  • SOF refers to the Start of Frames exchanged between the host controller and the device when the device is connected to the host and enumerated by the test mode software.


Related Documentation

In addition to the Online Help, you can access other information on how to operate the oscilloscope through the following related documents:

  • Instrument Information: The user manual for your oscilloscope provides general information on how to operate the oscilloscope.

  • Programmer Information: The online help for your oscilloscope provides details on how to use GPIB commands to control the oscilloscope.

You can also download the following files, which contain programmer information and examples, from the Tektronix Web site.

  • Optional Applications Software on Windows-Based Oscilloscopes Installation Manual

  • TDSUSB2 Universal Serial Bus Measurements Package Reference

  • TDSUSBF USB2.0 Compliance Test Fixture Instructions

For more information on USB2.0 specifications, visit www.usb.org.

Refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual for the following information:

  • Software warranty

  • List of all available applications, compatible instruments, and relevant software and firmware version numbers

  • Applying a new label

  • Installation an application

  • Enabling an application

  • Downloading updates from the Tektronix Web site

You can find a PDF (portable document format) file of this document in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD –ROM. The CD booklet only contains information on installing the application from the CD and on how to apply a new label.


Feedback

Tektronix values your feedback on our products. To help us serve you better, please send us your suggestions, ideas, or comments about your oscilloscope.

Direct your feedback via email to

techsupport@tektronix.com or FAX at (503) 627-5695

and include the following information. Please be as specific as possible.

General information:

  • Instrument model number and hardware options, if any

  • Probes used

  • Your name, company, mailing address, phone number, FAX number

  • Please indicate if you would like to be contacted by Tektronix about your suggestion or comments

Application specific information:

  • Software version number

  • Description of the problem such that technical support can duplicate the problem

  • If possible, save the oscilloscope and application setup files as .set files

  • If possible, save the waveform on which you are performing the measurement as a .wfm file

Once you have gathered this information, you can contact technical support by phone or through e-mail. If using e-mail, be sure to enter in the subject line "TDSUSB2 Problem," and attach the .set and .wfm files.

To include screen shots from the oscilloscope menu bar, select File> Export Setup> Image tab or File > Save > Screen Capture. Save the screen shot in the default directory or you can choose a directory of your choice. If you want the screen shots in color, select Edit> Copy setup> Images tab or select File > Save > Screen Capture and select Options to get the Screen Capture Save Option dialog box. Select the Color, Full Screen and the Normal option buttons. Select Copy. Copy the picture to any Paint editor software.

You can then attach the file to your email (depending on the capabilities of your email editor).


Introduction and Product Description

The TDSUSB2 Universal Serial Bus Measurements package, consists of a Java-based application and a comprehensive test fixture. You can use the application software with the compliance test fixture to take the following measurements:

  • Signal Quality

  • Inrush

  • Droop

  • Drop (supported by the test fixture only)

  • Receiver Sensitivity

  • Impedance Measurement using Time Domain Reflectometry (TDR), supported by the application only with the test fixture

  • Chirp measurements

  • Packet Parameter

  • Resume

  • Reset from Suspend

  • Reset from High Speed

  • Suspend

The application performs tests that measure the test signals for USB2.0 compliance, displays eye diagrams and plots, displays the results as a summary or as details, and generates reports in different formats.

What do you want to do?

Check Accessories

Check Compatibility

Look Over Requirements and Restrictions

Install the Application


Compatibility

For information on oscilloscope compatibility, refer to the *Optional Applications Software on Windows-Based Oscilloscopes Installation Manual, Tektronix part number 071-1888-00. The manual is also available as a PDF file. The dynamic range of the probes used for Low Speed and Full Speed testing should be at least ± 8 volts. For High Speed testing, the dynamic range should be ± 2 volts.

*For a current list of compatible instruments, see the Software and Drivers category on the Tektronix Web site


Requirements and Restrictions

You must install Java Run-Time Environment V1.4.2_02 on the supported oscilloscope.

The application uses the Math1 channel for Low Speed and Full Speed mode of operation. You will lose any information that you have stored in the Math1 channel.

You cannot restore the oscilloscope settings if you select File> Exit from the application.


Accessories

The application includes the following standard accessories:

  • Optional Application Software on Windows-Based Instruments CD–ROM

  • Optional Application Software on Windows-Based Instruments Installation Manual

  • TDSUSB2 Universal Serial Bus Measurements Package Reference

  • TDSUSBF USB2.0 Compliance Test Fixture Instructions

  • TDSUSBF USB2.0 Compliance Test Fixture

Optional Accessories:

  • DG2040 Data Generator (for receiver sensitivity)

  • AWG610 Arbitrary Waveform Generator

  • P6248 Differential probes

  • P6245, P6243, TAP1500 Single-ended active probes

  • TCP202/TCP0030 Current probes

  • TDS8000 Instrument with 80E04 Time Domain Reflectometry sampling module

  • Deskew Fixture: for supported instrument-Probe Calibration and Deskew Fixture (067-0405-xx)


Setting up the Oscilloscope to Take Measurements

Setting up the Instrument to Take Measurements

To set up the oscilloscope, follow these steps:

  1. You must power on the oscilloscope for twenty minutes before you can start to take measurements.

  2. You must run the compensation signal path on the oscilloscope.

  3. You must make sure that the default factory setup is recalled before you start using the application in the oscilloscope. To do so, push the recall default setup button on the front-panel of the oscilloscope to recall the default factory settings.

  4. You should always use calibrated probes and degauss the current probes.

Recommended Instruments and Probes

For information on recommended instruments and probes, refer to the Optional Application Software on Windows-Based Oscilloscopes Installation Manual.


Installing the Application

Refer to the Optional Applications Software on Windows-Based Instruments Installation Manual for the following information:

  • Installing an application

  • Applying a new label

  • Enabling an application

  • Downloading updates from the Tektronix Web site

You can find a PDF (portable document format) file of this document in the Documents directory on the Optional Applications Software on Windows-Based Instruments CD–ROM. The CD booklet only contains information on installing the application from the CD and on how to apply a new label.


Deskewing the Probes and Channels

To ensure accurate measurements, you must deskew the probes before you take measurements from your unit under test. The deskew process is where the oscilloscope adjusts the relative delay between the signals to accurately time correlate the displayed waveforms.

The application includes an automated deskew utility that you can use to deskew any pair of oscilloscope channels.

See Also

Steps to Deskew Probes for the TDS7000 Instrument

Note: It is recommend that you use the deskew fixture specified in the accessories section to perform deskew. The deskew source can be the built-in probe compensation signal in the oscilloscope or an external signal source.

Note: The oscilloscope has a deskew range of 50 ns.


Deskewing Probes and Channels on the supported Instruments

To deskew probes and channels on the supported instruments, follow these steps:

  1. Connect the probes to Ch1 and Ch2 on the oscilloscope.

  2. Connect the probe compensation signal to the deskew fixture. You can use the probe compensation signal from the oscilloscope as the source for the deskew fixture.

  3. Follow the on-screen prompts for the deskew operation with an external source.

The following figure shows signals before performing the deskew procedure with a single edge.

  4. To start the application from a supported oscilloscope, select File> Run Application> USB2.0 Test Package from the menu bar of the oscilloscope.

  5. Select Utilities> Deskew.

  6. Set the channel Source in the From area to Ch1. The Source waveform is the reference point to which the remaining channels are deskewed.

  7. Set the channel Source in the To area to Ch2, to deskew the channel.

  8. Select the Reference Level for Ch1 and set the reference value. The reference level is the percentage level of the waveform from which to take the edges to deskew.

  9. Select the Reference Level in the To area for Ch2 and set the reference value.

  10. Select the Hysteresis in the From area for Ch1. Hysteresis helps to ignore the noise level in the waveform.

  11. Select the Hysteresis in the To area for Ch2 and set the hysteresis value.

  12. Select the Slope, Rise or Fall, on which to perform the deskew operation.

  13. Select the number of edges used for deskew.

  14. To start the deskew utility, select Utilities> Perform Deskew and confirm the operation.

  15. Without changing the From: Ch1 channel, deskew the remaining channels.

The next figure shows the results after performing the deskew operation with a single edge. The reference level is set to 50% for Ch1 and Ch2, the hysteresis is set to 5%, the number of edges is set to 1, and the slope is set to the rising edge.

Note:The probe compensation signals varies from 0.8 to 1 volt (for all supported TDS instruments) and from 0.35 to 1 volt (for all supported DPO instruments) rather than swinging from 0 to 1 volt in a traditional oscilloscope. Set the Reference level and the Hysteresis level appropriately so that the Ref level is at the middle of the swing on the signal.

To perform the deskew operation with an external source, follow these steps:

  1. Connect the probes to Ch1 and Ch2 on the oscilloscope.

  2. Connect an external source to the deskew fixture.

  3. Follow the instructions of the Probe Calibration and Deskew fixture (Tektronix part number: 067-0405-xx) to make the connections.

  4. Set up the oscilloscope as follows:

  • Use the Horizontal Scale knob to set the oscilloscope to an acquisition rate so that there are two or more samples on the deskew edge.

  • Use the Vertical Scale and Position knobs to adjust the signals to fill the display without missing any part of the signals.

  • Set the Record Length so that there are more samples for the edges in the acquisition. It is recommended that you set the record length to 25000 points.

  5. To start the application from a supported oscilloscope, select File> Run Application> USB2.0 Test Package from the menu bar of the oscilloscope.

  6. Select Utilities> Deskew.

  7. Set the channel Source in the From area to Ch1. The remaining channels are deskewed to the Source waveform, which is the reference point.

  8. Set the channel Source in the To area to Ch2, the channel to be deskewed.

  9. Select the Reference Level for Ch1. The reference level is the percentage level of the waveform from which to take the edges to deskew.

  10. Select the Reference Level in the To area for Ch2 and set the reference value.

  11. Select the Hysteresis in the From area for Ch1. Hysteresis helps to ignore the noise level in the waveform.

  12. Select the Hysteresis in the To area for Ch2 and set the hysteresis value.

  13. Select the Slope, Rise or Fall, on which to perform the deskew operation.

  14. Select the number of edges used for deskew.

  15. To start the deskew utility, select Utilities> Perform Deskew and confirm the operation.

  16. Without changing the From: Ch1 channel, deskew the remaining channels.

  17. The setup is an acquisition of a square signal at 100 KHz, with the Record length set to 25000 points to achieve the sample resolution of 1.6 ns.

The next figure shows an example of a deskew setup.

  18. Set the Reference levels for Ch1 and Ch2 in the application to 50%, the hysteresis to 10%, the number of edges to 4, and the type to rising edge.

The next figure shows the display after performing the deskew for the multiple edge.

  19. The zoomed section of the waveform available on the lower part of the screen shows the results of the deskew operation clearly. You will see that after performing the deskew operation, the skew is automatically removed.


About Basic Operations

This section contains information on the following topics and tasks:

Application interface

Using basic oscilloscope functions

Setting up the software

Selecting a measurement

How to Save and Recall setups

Exiting the application


Application Interface

The application uses a Windows interface. You should refer to your oscilloscope user manual for the operating details of other controls, such as the front-panel buttons.

View application Directories and File Names .

View application interface menu controls.

Note: The oscilloscope screen shrinks and appears in the top half of the display when the application is running on the supported instruments.


Application Interface Menu Controls

Item | Description
Menu bar | Located at the top of the application display and contains application menus
Tab | Labeled group of options containing similar items
Area | Visual frame that encloses a set of related options
Option button | Button that defines a particular command or task
List box | Box that contains a list of items from which you can select one item
Box | Box that you can use to type in text, or to enter a value with the Keypad or a Multipurpose knob
Check Boxes | Square box that you can use to select or clear preferences
Scroll bar | Vertical or horizontal bar at the side or bottom of a display area that can be used for moving around in that area
Browse | Displays a window where you can look through a list of directories and files
Command button | Button that initiates an immediate action
Keypad | Keypad appears when you select the box; select and use it to enter a value
MP/GPknob | A line that appears between the knob and the box when the MP or GP knob is selected; turn the knob and select a value


Using Basic Oscilloscope Functions

You can use the Help menu to access information about the oscilloscope. You can also use other oscilloscope functions and easily return to the application.

The TDSUSB2 application includes Online Help about the application menus and controls.

To display the Online Help, follow these steps:

  1. Choose Help from the TDSUSB2 menu.

  2. Use the Contents, Table of contents, or Index tabs to navigate through the help.

  3. The touch screen mode of operation is enabled by default. You can disable this by using the Touch Screen OFF button on the oscilloscope front panel.

See Also

Minimizing and Maximizing the Application

Returning to the Application


Minimizing and Maximizing the Application

To minimize the application, select File> Minimize. When you minimize the oscilloscope, the application is continually displayed.

To maximize the application, select the TDSUSB2 icon in the Windows taskbar.


Application Directories and File Names

The application uses the directories for several functions, such as save and recall setup files, and uses the extensions appended to the file names to identify the file type.

The following table lists default directory names for the supported instruments:

Directory | Used for
C:\TekApplications\tdsusb2 | Home location
C:\TekApplications\tdsusb2\report | Report files
C:\TekApplications\tdsusb2\setup | Setup files
C:\TekApplications\tdsusb2\tsvfilegenerator | Default directory for the tsv file generated by the file generator and for other csv files
C:\TekApplications\tdsusb2\datagen | DG2040 pattern files for use in Receiver Sensitivity Test
C:\TekApplications\tdsusb2\images | Images of the eye diagram and waveform plots
C:\TekApplications\tdsusb2\temp | Temporary files used in the application

See Also

File Name Extensions


File Name Extensions

Extensions | Description
.csv | Input file is in the .csv (comma separated variable) format and is used to generate a .tsv (tab separated variable) file. An exported waveform that may be used as a source to generate a tsv format file
.ini | Application setup file
.set | Instrument setup file with the same name, saved and recalled with .ini and .set file name extension
.tsv | Input file in a Tab Separated Variable format

See Also

CSV File Format

TSV File Generator


Returning to the Application

When you access oscilloscope functions, the oscilloscope fills the display. You can access oscilloscope functions in the following ways:

  1. Select the Hide button in the application display.

  2. Select the Menu bar or the Toolbar mode on the oscilloscope and access the menus.

  3. To return to the application, click the App button on the menu bar of the oscilloscope or click on Analyze > Restore Application to restore the application.


Exiting the Application

To exit the application, select the Exit button or File> Exit or select the Exit button from the control panel.

When you exit the application, you can keep the oscilloscope setup currently in use or restore the oscilloscope setup that was present before you started the application.


Description of the Test Fixture

The TDSUSBF USB2.0 Compliance Test Fixture is a break-out board that enables you to test live USB2.0 signals, exchanged between the device and the host. For more information on the compliance test fixture, refer to the TDSUSBF USB2.0 Compliance Test Fixture Instructions shipped with the test fixture.

The compliance test fixture consists of the following sections:

  • SQ Test Section

  • Receiver Sensitivity Test

  • Impedance Measurement Test (TDR)

  • Disconnect Detect Test

  • Adjacent Trigger and Droop Test

  • Host SQ

  • Inrush Test

  • Downstream Sig Qual


Setting Up the Device Details

You can enter a unique identifier (ID) and description for the unit under test (device). The identifier and the description appear in the generated reports for the tests performed on the unit under test. You can either type in the text directly in the boxes for these fields, or use the keypad or a keyboard. You can also choose to generate automatic IDs for the unit or enter a prefix using the keypad.

Note: If you check the Generate Automatic ID, the Device ID field is disabled and the Prefix field is enabled. The report for Inrush Measurement displays details of the Signal Setup with the device description.


Setting Up the Software

You can set up the application to take one or more measurements at the same time. In addition, you can view the results as a summary, details, an eye diagram, and a waveform plot for Signal Quality checks. You can also generate the reports in one of the three formats: Tektronix Specific, Plug-Fest and CSV formats.

The application runs on the oscilloscope. It is recommended that you connect the keyboard and the mouse to use the application effectively.

View the default setup

See Also

Selecting a Measurement

Configuring a Measurement


Setting Preferences

The Preferences menu consists of two tabs: General and Advanced. To access the Preferences menu, select File> Preferences.

In the General tab, you can select the following options:

  • Set a warning to indicate that the configuration options were not changed since the last time you ran the application. If you set this option, the application prompts you to configure the measurements before acquiring data.

  • Automatically display the Eye Diagram without having to select the Eye Diagram button in the Results screen.

  • Automatically display the Waveform Plot without having to select the Waveform Plot in the Results screen.

  • Prompt for a File name or Device ID before automatically generating reports or data files.

  • Automatically generate .tsv files.

  • Display the generated report.

  • Always display the waiver mask for High-Speed Near End and Low Speed eye diagrams.

In the Advanced tab, you can select the following options:

  • Test a Low or Full Speed device with USB2.0 silicon.

  • Prompt during report generation for the Droop test readout. When you enable this option, the application disables report generation in the Automatic mode.

  • Configure the test limits. The result: PASS or FAIL is determined by the limits you have defined.

  • Place the vertical cursors between the start and end of the single USB2.0 packet. This is used when more than one USB2.0 packet is displayed on the oscilloscope for Signal Quality measurements.

  • Set the trigger holdoff value to capture the USB2.0 high-speed test packet.

Note: If you enable the Configure Test Limits options, the Results Summary and Report Generation in Plug-Fest format is disabled.


Table of Measurements and Options

Low Speed and Full Speed Measurements

Area | Option | Description
Signal Quality Check | Eye Diagram | Checks whether the USB signal is aligned with its corresponding eye diagram
Signal Quality Check | Signal Rate | Measures the inverse of the average bit-time that gives the transmission rate of the USB signal
Signal Quality Check | Paired JK Jitter | Measures the jitter time for paired (JK next to KJ) differential data transition
Signal Quality Check | Paired KJ Jitter | Measures the jitter time for paired (KJ next to JK) differential data transition
Signal Quality Check | Consecutive Jitter | Measures the jitter at every consecutive data bit calculated using the signal rate
Signal Quality Check | EOP Width | Measures the width of the end-of-packet of a USB signal
Signal Quality Check | Cross-Over voltage | Measures the voltage at which the D+ voltage crosses the D– voltage
Signal Quality Check | Rise Time | Measures the elapsed time from when a rising edge crosses the low reference voltage level and then the high reference voltage level
Signal Quality Check | Fall Time | Measures the elapsed time from when a falling edge crosses the high reference voltage level and then the low reference voltage level
Inrush Current Check | Inrush Current | Measures the amount of electrical charge drawn by a device as soon as it is connected to a USB network
Droop Test | Droop Test | Measures the difference in the VBUS voltage when the load switch is open to the lowest value of the voltage and the load switch

High Speed Measurements

Area | Option | Description
Signal Quality Check | Eye Diagram | Checks whether the USB signal is aligned with its corresponding eye diagram
Signal Quality Check | Signal Rate | Measures the inverse of the average bit-time that gives the transmission rate of the Test_Packet
Signal Quality Check | Monotonic Property | Detects when the Signal is Monotonic if and only if data [i+1] ³ data [i] in case of consistently increasing (rising slope), never decreasing data [i+1] £ data [i] when consistently decreasing (falling slope) and never increasing in value where i ranges from 0 to n
Signal Quality Check | EOP Width | Measures the width of the end-of-packet pattern of a Test_Packet
Signal Quality Check | Rise Time | Measures the elapsed time from when a rising edge crosses the low reference voltage level and then the high reference voltage level
Signal Quality Check | Fall Time | Measures the elapsed time from when a falling edge crosses the high reference voltage level and then the low reference voltage level
Inrush Current Check | Inrush Current | Measures the amount of electrical charge drawn by a device as soon as it is connected to a USB network
Droop Test | Droop Test | Measures the difference in the VBUS voltage when the load switch is open to the lowest value of the voltage and the load switch
Receiver Sensitivity Test | Receiver Sensitivity | Is an indicator of Receiver Sensitivity. A High Speed capable device must indicate 'packet(Data) not received' (squelch) when the input of the receiver falls below 100 mV differential amplitude. Similarly the device must not indicate squelch if the differential amplitude is greater than 150 mV
Chirp Test | Chirp | Checks a part of handshake that occurs during Reset Protocol for high speed capable hubs and devices. In this handshake, the hub/host and the device are required to detect chirp J and K of a specified minimum duration and amplitude
Suspend Test | Suspend | Measures the time between the end of the last Start of Frame (SOF) and the rising edge transition to the Full Speed J state. The acceptable range should be between 3 ms to 3.125 ms. This is applicable if you have selected a Host, Device, or a Hub-Upstream device
Resume Test | Resume | Resumes the High-speed operation in a device or a hub, which is indicated by the presence of High-speed SOF packets (with 400mV nominal amplitude) following the K state driven by the host controller. For the Host this is the time between the falling edge of D+ to the First SOF. This should not exceed 3.0mS
Rest from High-Speed Test | Reset | Measures the time between the beginning of the last SOF and before the reset and the beginning of Chirp-K. This is between 3.1 ms and 6 ms. This test will be applicable for Device and HUB upstream
Reset from Suspend | Reset from Suspend | Measures the time between the falling edge of D+ signal and the start of Device chirp-K. This is between 2.5 us and 3 ms. This test is applicable for Device and HUB upstream
Packet Parameter | Packet Parameter | Measures the parameter of the packet such as Sync Bits, EOP, and Inter-Packet Gap depending on the selected measurement


Selecting a Measurement

To take a measurement, select Measurement from the Measurements menu, which is also the default opening screen in the application. To access the Select option in the Measurement menu, select Measurements> Select.

There are three categories of measurements: Low Speed, Full Speed, and High Speed measurements. The measurements for Low, Full and High Speed signals are Signal Quality Checks, Inrush Current Check, and Droop Test. The additional measurements for High Speed tests are Receiver Sensitivity, Monotonic Property, and Chirp Test, Packet Parameter, Suspend, Resume, Reset from Suspend, and Reset from High Speed.

You need to select the measurements for a particular signal speed of the unit under test. After selecting the tests, you must configure the application based on Signal Source, Tier, Test Point, and Signal Direction.

You can test the units for the following:

  • Devices for Upstream Signal Quality Check

  • Hubs and Hosts for Downstream Signal Quality Check

  • Ports of a Hub for Droop Test

  • Devices for Inrush Current

See Also

Measurements Menu

Signal Quality Check

Inrush Current Check

Droop Test

Receiver Sensitivity

Chirp Test

Packet Parameter

Suspend

Resume

Reset from Suspend

Reset from High Speed

What do you want to do?

Display a table listing the measurements areas and options that can be selected.

Go to configuring a measurement.

Find out how to save or recall measurement setups.


Signal Quality Check

The application performs Signal Quality tests that include the following tests:

Area | Option | Description
Signal Quality Check | Eye Diagram | Checks whether the USB signal is aligned with its corresponding eye diagram
Signal Quality Check | Signal Rate | Measures the inverse of the average bit-time that gives the transmission rate of the USB signal
Signal Quality Check | Paired JK Jitter | Measures the jitter time for paired (JK next to KJ) differential data transition
Signal Quality Check | Paired KJ Jitter | Measures the jitter time for paired (KJ next to JK) differential data transition
Signal Quality Check | Consecutive Jitter | Measures the jitter at every consecutive data bit calculated using the signal rate
Signal Quality Check | EOP Width | Measures the width of the end-of-packet of a USB signal
Signal Quality Check | Cross-Over voltage | Measures the voltage at which the D+ voltage crosses the D– voltage
Signal Quality Check | Rise Time | Measures the elapsed time from when a rising edge crosses the low reference voltage level and then the high reference voltage level
Signal Quality Check | Fall Time | Measures the elapsed time from when a falling edge crosses the high reference voltage level and then the low reference voltage level
Signal Quality Check | Monotonic Property (For High Speed only) | Measures the Monotonic Signal if the data [i] < data [i-1] where data[l] is the record point in the acquired waveform. This is in the case of consistently increasing (rising Slope) only. If the data [i] > data [i-1] in case of consistently decreasing )falling Slope) and never increasing in value where i ranges from 0 to n, the signal I is said to be monotonic

Note:The USB2.0 specifications recommend that you should test the signal quality for upstream and downstream traffic. In upstream testing, the application captures the signals transmitted from the device to the host. In downstream testing, the application captures the signals transmitted from the host to the device.

Downstream testing is performed on ports of a hub. When testing a hub, you need to connect the USB2.0 unit to Tier 6 to ensure the worst case. Each hub level is referred to as a Tier. The hub under test is connected to the Tier 5, so that you can test the hub on the Tier 6.


Inrush Current Check

The application can perform an Inrush current check to verify that the unit under test does not draw current higher than that specified in the USB2.0 specifications when connected to a USB2.0 system. If the measured current drawn is higher than a specified value, the other USB2.0 devices connected to the bus may not be able to function properly.

When a unit is connected, there is a sharp intake of current followed by a comparatively less steep decay. Small humps or perturbations are noticed in the current trace, depending on when the unit resets.

The TDSUSB2 application automatically sets up the oscilloscope. The application gives a direct readout of Charge (µC) and Capacitance (µF) values. The application displays the details of the results after comparing the test results with the USB2.0 specifications.


Droop Measurement

The Droop voltage is the difference in the VBUS voltage when you apply a no load condition and a 100 mA load to the port under test (all other ports are fully loaded).

The Droop test evaluates the worst case droop by alternately applying a droop load and no load to the port under test while all other ports are supplying the maximum load possible. All the VBUS measurements are relative to local ground.

The TDSUSB2 application automatically sets up the oscilloscope for the specified test configuration. When you start the application, it acquires the signal, and provides the Vdroop measurement, and displays PASS or FAIL.

Note:The TDSUSB2 application helps to report the Drop test. You can do this by enabling an option in the File> Preferences> Advanced menu. You can enter the multimeter reading for the Drop test in the TDSUSB2 application during report generation for a consolidated report.


Receiver Sensitivity Measurement

To improve the performance of the application in a noisy environment, the USB2.0 high speed device should respond to IN tokens with NAKs when the signaling level is at or above the specified level.

The Receiver Sensitivity test requires a high-speed data simulator, such as the Tektronix DG2040 USB Data Generator or a DTG5000 series instrument, to transmit IN tokens of varying amplitude. The test requires the unit under test to be placed in the Test_SE0_NAK mode. The host is then replaced by the data simulator to continue to transmit IN tokens. The signaling amplitude is presented to the device under test at a level at or above 150 mV. At these levels, the unit under test must not be in the squelched mode, responding to IN packets with NAKs. The amplitude of the signals from data senerator varies less than 100 mV. The unit under test must be squelched and not respond to IN tokens with NAKs.

This tests the receiver capability of high speed units (device) to respond to the particular data pattern generated by the USB2.0 data simulator. The unit under test responds to the data pattern level above the squelch level (>150 mV) and should not respond when the data pattern level is below the squelch level (<100 mV).

The TDSUSB2 application provides the procedural steps to perform this measurement. It also provides DG2040 Data Generator pattern files. Pattern files for other Tektronix data simulators are available from www.tektronix.com.


Chirp Measurement

To perform a Chirp test, connect the unit under test and the single-ended probes to acquire data. You can measure the Data for Chirp K amplitude, Chirp K duration, and Reset duration. You need to manually verify that there are three K–J pairs in less than 500 µs.

The TDSUSB2 application automates this process and automatically generates the results and reports for the results of Chirp-K duration, Chirp-K amplitude, and Reset duration.


Monotonic Property

While performing a USB2.0 High Speed compliance test, you need to verify that the signal to be tested is monotonic.

The following graph shows the monotonic behavior of a USB2.0 high speed signal with a rise time of 500 ps.

To verify the monotonic behavior of a signal, the oscilloscope must have a sample rate high enough to capture as many sample points as possible on a rising or falling edge. In addition, the oscilloscope should have enough bandwidth to ensure that the high frequency non-monotonic transition is not attenuated.

The application coupled with a high performance Tektronix oscilloscope automates the process and ensures repeatability of test results.


Configuring a Measurement

To access the Configure: Measurement, go to Measurements> Configure. The application also provides a Configure option with each measurement area to allow you to configure the selected measurements.

Note: If you select the Run button before configuring a measurement, the application displays the message ‘The selected measurements have not been configured. Do you want to continue?.’ In this case, the application runs with the default settings. If you select the Run button before configuring the measurement and have enabled the File> Preferences> General option, the application displays the warning message ‘Warn if configuration was not changed since last run, when the run button is pressed.’

See Also

Configuring Signal Quality Measurement

Configuring Inrush Current Measurement

Configuring Droop Measurement

Configuring Receiver Sensitivity Measurement

Configuring Chirp Measurement


Configure Limits

The application displays the maximum and minimum values for the selected tests. You can use the ‘>’ sign on the keypad to configure limits for these options.

Option | Description
Set | Sets the values you enter
Default | Restore the default values
Cancel | Cancels all the changes you enter

Note: The application enables the Configure Limits values when you select the option File> Preferences> Advanced menu.


Configuring Signal Quality Measurements

To access the Measurement: Configure, go to Measurements> Configure. Be sure to select the relevant measurements before you configure them. There are two tabs for the Signal Quality Measurements: Configure and Source.

The Configure tab allows you to select and set the Tier, Signal Direction and the Test Point options. You must select the Tier (Tier 1 through 6), the direction of signal (Upstream or Downstream) and the Test Point (Near End or Far End) at which the unit will be tested.

For Low Speed and High Speed signals, you can set Test Point to Near End or Far End. For Full Speed signals, you can set the Test Point to Far End only.

For Rise Time, Fall Time, and Monotonic Property, you can configure the measurement levels.

The Source tab allows you to select the Source of the signal: a live signal or the signal from a file. For a live signal there are two options: Differential and Single-Ended. For Low Speed and Full Speed devices, you can test only single-ended signals (D+ and D–). For High Speed devices, it is recommended that you use a differential probe.

View Configure Signal Quality Measurements Menu

Signal Quality Configuration Options

Signal Quality Checks


Configuring Inrush Current Measurements

To access the Measurements: Configure menu, go to the Measurements> Configure.

The Configure tab allows you to set the voltage value on Vbus and the unit under test. The Vbus can be entered manually or probed from a channel that is captured from the test fixture. Select this option from the Source tab of Inrush Configuration menu.

The Tier 1 is always used for testing. The unit under test can be any one of the following types:

  • Hot Plug Attach

  • Low Powered Configure

  • Low Powered Resume

  • High Powered Configure

  • High Powered Unconfigure

  • High Powered Resume

The Hot Plug Attach is the most common unit under test. The Source tab allows you to select the source of the signal: a live signal or the signal taken from a tsv file. If you choose to manually enter the Vbus voltage, you cannot select the Vbus voltage source.

View Configure Inrush Current Measurement Menu

Inrush Current Configuration Options

See Also

Inrush Current Check


Configuring Droop Measurements

Select the Droop measurement and configure it. To access the Configure: Measurements menu, go to Measurements> Configure.

The Configure tab allows you to select the Port (Port 1 through 7), Hub and Source of the signal. The source of the signal can be live or from a .tsv file. The hubs can either be Self powered or Bus powered.

View Configure Droop Test Menu

Droop Test Configuration Options

See Also

Droop Test


Configuring Receiver Sensitivity Measurements

To configure receiver sensitivity measurements, follow these steps:

  1. Select the High Speed measurement tab> More button> Receiver Sensitivity measurement.

  2. To access the Configure Measurements menu, select Measurements> Configure.

  3. Select the Source from Ch1 to Ch4.

  4. Select the Run button.

  5. Select OK and follow the on-screen prompts to perform the tests.

  6. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports

Viewing Reports

View Configure Receiver Sensitivity

View procedural steps from the application

Receiver Sensitivity Test


Configuring Chirp Measurement

To configure chirp measurements, follow these steps:

  1. Select the High Speed measurement tab> More button> Chirp measurement.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. In the Configure tab, you can select the DUT (Host or Device) and perform selected tests associated with it.

  4. Select the Host option to display the different tests for the DUT. The available tests are:

    • EL_33, EL_34: You can perform two separate measurements on an acquired waveform.

    • EL_35: You can perform a single measurement on an acquired waveform.

  5. Select the Device option to display the different tests for the DUT. The available tests are:

    • EL_28, EL_29: You can perform two separate measurements on an acquired waveform.

    • EL_31: You can perform a single measurement on an acquired waveform.

  6. Select the channel source in the D+ and D– fields. Use the drop down arrow in the D+, D- field to set the source. The available options are:Ch1- Ch4 and Ref1-Ref4.

  7. Select the Run button.

  8. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports

Viewing Reports

View Configure Chirp Test

See Also

Chirp Test


Configuring Reset from High Speed Measurement

To configure Reset from High Speed measurement, follow these steps:

  1. Select the High Speed measurement tab> More button> Reset from High Speed measurement. This is the time between the beginning of the last SOF and before the reset and the beginning of Chirp-K. This test will be applicable for Device and HUB upstream.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. The Upstream signal direction is enabled by default. This is because you can measure Reset from High Speed only on an upstream signal. The Downstream option is disabled here.

  4. Select the channel source in the D+ and D– fields. Use the drop down arrow in the D+, D– field to set the source. The available options are: Ch1- Ch4 and Ref1-Ref4.

  5. Select the Run button.

  6. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports

Viewing Reports

See Also

Chirp Test


Configuring Resume Measurement

To configure Resume measurement, follow these steps:

  1. Select the High Speed measurement tab> More button> Resume measurement. The device/HUB resumes the High-Speed operation, which is indicated by the presence of High-speed SOF packets (with 400 mV nominal amplitude) following the K state driven by the host controller. For the Host, this is the time between the falling edge of D+ to the First SOF. This should not exceed 3.0 ms.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. Set the input Signal Direction to either Upstream or Downstream.

  4. Select the channel source in the D+ and D– fields. Use the drop down arrow in the D+, D– field to set the source. The available options are:Ch1- Ch4 and Ref1-Ref4.

  5. Select the Run button.

  6. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports


Configuring Suspend Measurement

To configure Suspend measurement, follow these steps:

  1. Select the High Speed measurement tab> More button> Suspend measurement. This measures the time between the end of the last SOF and the rising edge transition to the Full Speed J state. The acceptable range is between 3 ms to 3.125 mS.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. Set the input Signal Direction to either Upstream or Downstream.

  4. Select the channel source in the D+ and D– fields. Use the drop down arrow in the D+, D– field to set the source. The available options are:Ch1- Ch4 and Ref1-Ref4.

  5. Select the Run button.

  6. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports


Configuring Reset from Suspend Measurement

To configure Reset from Suspend measurement, follow these steps:

  1. Select the High Speed measurement tab> More button> Reset from Suspend measurement. This measures the time between the falling edge of D+ signal and the start of Device chirp-K. This is between 2.5 us and 3 ms. This test is applicable for Device and HUB upstream.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. In the Configure tab, you can set the channel Source.

  4. The signal direction is always set to Upstream. This is because you can measure Reset from Suspend only on an upstream signal. The Downstream option is disabled.

  5. Select the channel source in the D+ and D– fields. Use the drop down arrow in the D+, D– field to set the source. The available options are:Ch1- Ch4 and Ref1-Ref4.

  6. Select the Run button.

  7. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports


Configuring Packet Parameter Measurement

To configure Packet Parameter measurement, follow these steps:

  1. Select the High Speed measurement tab> More button> Packet Parameter measurement.

  2. To access the Configure Measurements menu, go to Measurements> Configure.

  3. In the Configure tab, you can select the DUT (Host or Device) and perform selected tests associated with it.

  4. Select the Host option to display the different tests for the DUT. The available tests are:

  • EL_21, EL_23, EL_25: You can perform three separate measurements on a single acquired waveform.

  • EL_22: You can perform a single measurement on an acquired waveform.

  • EL_55: You can perform a single measurement on an acquired waveform.

  5. Select the Device option to display the different tests for the DUT. The available tests are:

  • EL_21, EL_22, EL_25: You can perform three separate measurements on an acquired waveform.

  • EL_22: You can perform a single measurement on an acquired waveform.

  6. Use the drop down arrow in the Differential field to set the channel source. The available options are: Ch1-Ch4, Ref1-Ref4.

  7. Select the Run button.

  8. To generate reports, select Utilities> Report Generator.

See Also

Generating Reports


Packet Parameter Measurement

Packet parameter measurement is for high speed Host controller and Device. There are several important packet characteristics for upstream and downstream signaling. The measurement calculates the SYNC field length, EOP length and inter packet gap. The acceptable range of EOP for all transmitted packets (except SOFs) must be between 7.5 and 8.5 bits. The packet parameter algorithm calculates the EOP depending on this range.

The acceptable range of inter packet gap is between 88 bits to 192 bits. The SYNC field for all transmitted packets is calculated by counting the bits to check for 32-bit SYNC field. The inter packet delay and SYNC status is calculated between the EOP indexes. The EOP width in time is calculated by dividing the EOP width by 480 Mbps.


Suspend Measurement

This test calculates the time between the end of last SOF and the rising edge transition to Full-speed J state for Host / Device / Hub- upstream. This time must be between 3mS and 3.125mS. To get the Suspend signal, hot-plug the unit under test (device) and measure the signalling with single-ended probes on both lines. The application analyzes data for the Suspend Time.


Resume Measurement

This test calculates the device/HUB resume High-speed operation, indicated by High-speed SOF packets (with 400 mV nominal amplitude) following the K state driven by the host controller. For the Host, this is the time between the falling edge of D+ and the First SOF. This should not exceed 3.0 ms. To get the Suspend signal, hot-plug the unit under test (device) and measure the signaling with single-ended probes on both lines. The application analyzes data for the following:

  • Resume Time

  • Amplitude


Reset from Suspend Measurement

This test calculates the time between the falling edge of D+ signal and the start of Device chirp-K for the Device/HUB upstream. This must be between 2.5 us and 3 ms. To get the Reset from Suspend Measurement signal, hot-plug the unit under test (device), and measure the signaling with single-ended probes on both lines. The application analyzes data for the Reset From Suspend Time.


Reset from High Speed Measurement

This test calculates the time between the beginning of the last SOF and before the reset and the beginning of Chirp-K for Device and HUB upstream. This must be between 3.1 ms and 6 ms. To get the Reset from High-Speed Measurement signal, hot-plug the unit under test (device) and measure the signaling with single-ended probes on both lines. The application analyzes data for Reset From High Speed Time.


Acquiring Data

The application automatically sets the oscilloscope settings for the selected measurements. To acquire data from the oscilloscope, follow these steps:

  1. Select the [image] command button to run the application.

  2. The application displays the message ‘Please press OK when correct waveform is acquired’ for live signals.

  3. If you select the Cursor Mode, the application displays the message ‘Place the Cursors at the start and end position of the USB packet. Press OK when done.’

  4. If you select the Inrush measurement, the application displays the message in the next figure.

  5. If you select the Droop measurement, the application displays the message in the next figure.

  6. If you select the Packet Parameter measurement, the application displays the message in the next figure.

  7. The application automatically displays the result after acquiring the data.

  8. The application automatically displays the eye diagram and the waveform plot for the acquired signals. This is possible only if you enable this option in the Preferences> General.

Note: You can modify the automatic oscilloscope settings if there is no valid waveform on the oscilloscope screen. To do so, select the [image] command button to run the application and select OK to complete the process.

You may need to adjust the inrush setups, as inrush currents have a wide variety of durations and peak currents. Use the vertical division settings between 100 mA/division to 5 A/division and timebases between 500 ns/div and 20 µs/division. If you set a timebase higher than 20 µs/division, adjust the instrument’s record length to have minimum acquisition duration of 20 µs.


Control Menu Options

Option/button | Description
Run icon | Runs the application
Hide button | Hides the application and displays the oscilloscope application on the entire screen
Exit button | Exits the application

View Control Menu

Control Menu Parameters


Viewing Results

You can view the results in a summary form or in a detailed form. To access the Results: Summary, select Results> Summary. The application displays one of the following results.

A PASS indicates that the results of the measurements comply with the USB2.0 specifications.

A FAIL indicates that the measured values of the measurements are beyond the waiver limits and do not comply with the USB2.0 specifications.

A Conditional PASS indicates that the limits of the tests are within the USB2.0 waiver limits.

Note: The application displays PASS or FAIL based on the limits you set.

To access the Details: select Results> Details. Use the scroll bar to view the results that are not visible within the display window. The report contains statistical values for the following:

  • Standard deviation (StdDev)

  • Mean

  • Peak-to-peak (Pk–Pk)

  • Root mean square (RMS)

  • Maximum (Max) and minimum (Min) values

  • Population (the number of cycles used to calculate the statistics). The population used for signal rates is number of bits.

  • Status (PASS/FAIL/Conditional PASS) for the selected tests

You can also view the eye diagram and the waveform plot for signal quality check.

Eye Diagram

You can select the Eye Diagram option to view the eye diagram for the unit under test. The eye diagram has the Zoom and Cursor features that you can use to view the results. You can also use the Reset button to reset the default eye pattern.

The Eye Diagram menu contains the following options:

Zoom: You can select the zoom from the menu. Select the [image] icon to zoom into the area of interest. Define the area of interest using the mouse and selecting the zoom in area. The selected area is displayed in the entire upper half of the oscilloscope. Select the [image] icon to zoom out. You can use the Zoom In and Zoom Out icons until the application reaches the maximum and the minimum zoom limits.

Cursors: You can select the Cursors and the vertical cursors [image] appear. You can drag the cursors to change the positions, and read the time values on the X-axis.

Use the mouse to select the Horizontal cursor [image]. You can drag the cursors to change the positions, and read the voltage values on the Y-axis.

Waveform Plot

You can select the Waveform Plot option to view the Waveform Plot for the unit under test. The Waveform Plot has a Zoom and the Cursor feature that you can use to view the results.

The Waveform Plot has features that enable you to zoom in and out on the waveform, use Vertical and Horizontal Cursors, Save the Plot, Reset the original plot, and select to display the signals.

To display any or all the signals for the waveform plots menu, you can use the following options:

Zoom: You can select the Zoom from the menu. Select the [image] icon to zoom into the area of interest. Define the area of interest using the mouse and selecting the zoom in area. The entire upper half of the oscilloscope displays the selected area. Select the [image] icon to zoom out. You can use the Zoom In and Zoom Out icons until the application reaches the maximum and the minimum zoom limit.

Cursor: You can select the Cursors and the vertical cursors [image] appear. Drag the cursors to change the positions of the cursors, and read the time values on the X-axis.

Select the Horizontal cursors [image]. You can drag the horizontal cursors to change the positions, and read the voltage values on the Y-axis.

Note: The Zoom and Cursor options are mutually exclusive.

Save: You can use the Save button to save the zoomed in or zoomed out diagram as a .jpg file.

Reset: You can use the Reset button to restore the waveform plot to its original display.

For waveform plots, any or all the signals can be displayed using the following buttons:

  • D+: Use this button [image] to turn on or turn off the display of the D+ signal.

  • D–: Use this button [image] to turn on or turn off the display of the D– signal.

  • CMD: Use this button [image] to turn on or turn off the display of the Common Mode voltage.

  • Diff: Use this button [image] to turn on or turn off the display of the Differential signal.

You can use any combination of the Zoom or Cursors, D+, D–, CMD (Common Mode Voltage) and Diff buttons to view and save the waveform plot.

The annotations at the lower edge of the Waveform Plot classify the signal pulse into different bus states: J, K , E (EOP), I (IDLE) and Sync ( C ).

There are two Results menu options.

Summary: The application summarizes the results of the measurements. The results are classified as PASS, FAIL and Conditional PASS. Click on PASS, FAIL and Conditional PASS. The dialog box shows the Measured Mean, USB2.0 Specifications and the Waiver Limits.

Details: The application displays the results of the completed tests in a tabular form.

Note: The application displays the user column in the Results Details only if the User Configurable Limits are selected in File> Preferences> Advanced tab.

The application disables the Results> Summary and Report generation in Plug-Fest Specific format when you enable Configure Test Limits.

View Result Summary

View Result Details


Generating Reports

To access the Report Generator menu, select Utilities> Report Generator. You can generate the USB IF/Waiver Limits report in any one of the three formats:

  • Tektronix Specific is the default format used by the TDSUSB2 application.

  • Plug-Fest format is the format used by the USB-IF.

  • CSV format report is a user-defined report generated in a comma separated variable format.

You can generate reports in one of the following modes:

  • Manual: Select the report format, the directory name, and the file to which the report is saved. Select the Generate option to generate the report. Specify the file name for the report.

  • Automatic: The application generates reports automatically without user intervention as soon as the results are calculated. Select Generate Automatic Ids to enable this option while selecting measurements. The application uses the prefix that you enter to generate the file. If you select the Ask for the Filename/Device ID before automatically generating Reports/Data files check box in the File> Preferences> General tab, you can enter the Device ID/File Name before generating the report. If the File already exists, the application displays a message box to confirm whether to overwrite the existing report. If you select Yes, the application overwrites the report; if you select NO, you can enter a new Device ID/File Name or cancel the report generation. The reports are generated in the following path:

C:\TekApplications\tdsusb2\report. The file name is prefix_001_reportformat.csv or prefix_001_reportformat.htm.

The report contains the device ID, device description, date and result of the test. The report also contains the following statistical values:

  • Maximum (Max) and Minimum (Min) values

  • Mean

  • Peak-to-peak (Pk–Pk)

  • Standard deviation (StdDev)

  • Root mean square (RMS)

  • Population

  • Status (PASS/FAIL/Conditional PASS) for the selected tests

  • User- The application displays this value if you select the "Allow user configuration of test limits" in the Preferences menu and set the test limits before running the measurement.

The report includes the eye diagram and the waveform plots for the Signal Quality Check. The display on the oscilloscope screen is embedded in the Inrush or the Droop report.

Note: Automatic Report generation is not available if you select the Drop Test readout option in File> Preferences> Advanced tab.

View Report Generation Menu

Report Generation Options

See Also

Tektronix Specific Report format

Plug-Fest Report format

CSV Report format


Viewing Reports

You can use an HTML viewer or a browser to view the Tektronix specific and Plug-Fest format reports. You can view the .csv (Comma Separated Variable) report in a text editor, spreadsheet, database, or a data analysis program for further analysis. You can edit the .csv file to suit your needs.

Note: All the reports contain the eye diagram and the waveform plot except for the reports generated in the .csv file format.

See Also

View Report Generation Menu

Report Generation Options

View Report in Tektronix Specific format

View Report in Plug-Fest format

View Report in CSV format


TSV File Generator

You can use the TSV File Generator Utility to convert a .csv (Comma Separated Variable) file to a .tsv (Tab Separated Variable) file. To access TSV File Generator, go to the main menu and select Utilities> TSV File Generator.

If the Input is a .csv file, then the application enables the CSV Waveform Source area. You can select the sources based on the Signal type. For a single-ended signal, specify the D+ and D– inputs.

You can specify the directory C:\TekApplications\tdsusb2\tsvfilegenerator for the differential signal from where the .csv file is taken.

If the Input is a Live signal, you cannot access the CSV Waveform Source area. Select the Live or Ref as the source file to enable the Live Input option. You can enable the Convert option only if you take the measurements and display the results. The default directory for the .tsv files is C:\TekApplications\tdsusb2\tsvfiles. You can also specify the location where the tsv file is to be generated.

TSV file format description

For Low Speed and Full Speed Signal Quality Check, the input TSV file is an m x 3 matrix with m rows and three columns. The file has Time values and Voltage values for D+ and D– in the first, second and third columns respectively.

The input TSV file for High Speed Signal Quality Check is a m x 2 matrix with m rows and two columns. The file has Time and Voltage values for Differential signals in the first and second columns.

The input TSV files for Inrush and Droop tests are an m x 2 matrix with m rows and 2 columns. For Inrush tests, the file has Time and Current values in the first and second columns. For Droop test, the file has Time and Voltage values in the first and second columns.

CSV file format description

Low Speed and Full Speed single-ended signals for Signal Quality Check require two .csv files to generate the corresponding TSV file. The .csv files have two columns. One .csv file has time and voltage values for D+ signals, while the second column has the time and the current values for D– signals. Both files must have the same time values.

Differential signals require one .csv file with two columns, one column for time and another for voltage values.

If you select Differential for Inrush and Droop signals, the .csv file has two columns: one column for time values, and another for current and voltage values. You require only one .csv file for Inrush and Droop tests. This .csv file has two columns: one column for the Time Values and the other for Current (Inrush) and Voltage (Droop) values. You must use the Differential option for conversion.

View the TSV file generator


How to Save and Recall a Setup

You can use the Save and Recall menus to save and recall the various configuration setups. To access the Save and Recall menus, go to the File menu in the menu bar and choose Save or Recall.

Note: Do not edit the .ini or the .set files, or the recall setup files generated by the application. This can cause instability to the application. If you try to edit the.ini of the .set files, you get an error message ‘The saved file has been corrupted and cannot be recalled.’

See Also

Saving a Setup

Recalling a Saved Setup

Recalling the Default Setup

Recalling Recently Saved Setups

Recalling Recently Recalled Setups


Saving a Setup

You can save various configuration setups and recall them when needed. To save the application settings to a setup file, follow these steps:

  1. Select File> Save.

  2. Select the Save button.

  3. Browse or enter a file name. The application appends a .ini extension to the name of setup files.

  4. Choose Save to save the setup or Cancel to cancel the action.

Note: The application saves the oscilloscope setup to a .set file. The application .ini files and the oscilloscope .set files have the same file name.

See Also

Recalling a Saved Setup

Recalling the Default Setup

Recalling Recently Saved Setups

Recalling Recently Recalled Setups


Recalling a Saved Setup

To recall the application settings from a saved setup file, follow these steps:

  1. Select File> Recall.

  2. Browse the directory C:\TekApplications\tdsusb2\setup to recall the .ini files or select the directory where you have saved the setup file.

  3. Select or enter a .ini file name.

  4. Choose Open to recall the setup or Cancel to cancel the operation.

Note: The application recalls the oscilloscope setup from a .set file.

See Also

How to Save and Recall a Setup

Saving a Setup

Recalling the Default Setup

Recently Saved Setups

Recently Recalled Setups


Recalling the Default Setup

To recall the application settings from the Default setup file, select File> Recall Default. The application recalls the default setup and displays the message ‘Default setup recalled successfully.’

See Also

How to Save and Recall Setups

Saving a Setup

Recalling a Saved Setup

Recently Saved Setups

Recently Recalled Setups


Recently Saved Setup

The application stores the last four saved setups. If you need to modify any of them, follow these steps:

  1. Select File> Recently Saved.

  2. Select the setup from the list of recently saved setups that are displayed.

Note: When you select a file from the list of recently saved files menu, the file becomes the first element in the list of selections.

See Also

How to Save and Recall a Setup

Saving a Setup

Recalling a Saved Setup

Recalling the Default Setup

Recently Recalled Setup


Recently Recalled Setup

The application stores the last four recalled setups. If you need to recall any of them, follow these steps:

  1. Select File> Recently Recalled.

  2. Select the setup from the list of setups displayed.

Note: When you select a file from the list of recently saved files popup menu, the file becomes the first element in the list of selections.

See Also

How to Save and Recall a Setup

Saving a Setup

Recalling a Saved Setup

Recalling the Default Setup

Recently Saved Setup


Introduction to the Tutorial

The tutorial teaches you how to set up the application by recalling a .tsv file, take measurements, and view the results. More operating information is available in the Operating Basics section. Before you begin the tutorial, you must do the following tasks:

  • Start the application

  • Recall a .tsv file


Starting the Application

To start the application, select File> Run Application> USB2.0 Test Package or App > USB2.0 Test Package or Analyze > USB2.0 Test Package.


Recalling a .tsv File

The application distribution includes the .tsv files used with this tutorial. The table below shows the types of signals that represent these waveforms.

Tsv File name | Signal type
C:\TekApplications\tdsusb2\tsvfiles\LS_SQC.tsv | Low Speed
C:\TekApplications\tdsusb2\tsvfiles\FS_SQC.tsv | Full Speed
C:\TekApplications\tdsusb2\tsvfiles\HS_sqc.tsv | High speed
C:\TekApplications\tdsusb2\tsvfiles\inrush.tsv | Low/Full/High Speed


Taking a Full Speed Signal Quality Measurement

This section discusses how to take a Full Speed Signal Quality measurement, view the results, and generate a report. To perform these tasks, the application must be installed and enabled on a supported oscilloscope. View Installing the application to install the application.

To take a Full Speed Signal Quality measurement, follow these steps:

  1. To set the application to default values, select File> Recall Default. The application displays the message ‘Default setup recalled successfully.’ Select OK to view a screen image showing the default settings.

  2. Select all the Signal Quality measurements in the Signal Quality Check area using Select All button.

  3. Select the Configure tab or select Measurements> Configure. The Measurements: Configure default settings display.

  4. Select the Measurements: Source. If the source is Live or Ref, configure the appropriate channels for D+, D– and Qualifier. You have to always select D+ first. If you select any one of the Live channels CH1-CH4 for D+ source, the remaining Live channels are selected from the D– and the Qualifier channel source. If you select any one of the Ref channels Ref1-Ref4 for D+ source, the remaining Ref channels are selected from the D– . There is no Qualifier channel source for the Ref signals.

If the source is from a file, use the browse button to look for the file.

  5. Select the file C:\TekApplications\tdsusb2\tsvfiles\FS_SQC.tsv.

  6. Select the [image] command button to run the application. The application displays the Eye Diagram and the Waveform Plot.

  7. Minimize the eye diagram and waveform plot to view the summary results.

  8. The application displays the Results Summary as PASS [image]. You can also select the result to view the details of the selected test.

  9. To view the Results Details, select Results> Details in the application menu bar or PASS command button in the Overall Result area to view the details of each measurement.

  10. Select Utilities> Report Generator in the application menu bar to generate the Report.

  11. You can view the default screen with the Tektronix Specific Format enabled. The report directory appears with a default file name. You can change the file name if you want. Click on the Generate button.

  12. Click the Generate button. The application generates an HTML file in C:\TekApplications\tdsusb2\report. To view this report, open it in an HTML viewer or a browser.


Taking an Inrush Measurement

Taking a Low Speed Inrush Current Measurement

This section discusses how to take a Low Speed Inrush Current Measurement, view the results, and generate a report. To perform these tasks, the application must be installed and enabled on a supported oscilloscope.

  1. To set the application to default values, select File> Recall default. The application displays the message ‘Default setup recalled successfully.’

  2. Select Measurements> Low Speed tab.

  3. Select Inrush Current measurement.

  4. Select Measurements> Configure tab and use the default settings set by the application.

  5. Select the Source tab. Select From File.

  6. Select file C:\TekApplications\tdsusb2\tsvfiles\LS_inrush.tsv.

  7. Select the [image] command button to run the application.

  8. The application displays the Results Summary as Conditional PASS.

  9. You can also select the result to view the details of the selected tests.

  10. Select Results> Details from the application menu bar to view Results Details.

  11. Select Utilities> Report Generator in the application menu bar to generate a report.

  12. Select the CSV Specific Report and use the default file name. Select the Generate button.

  13. The application displays the sample report file in a browser.


Taking a High Speed Measurement

Taking a High Speed Signal Quality Measurement

This section discusses how to take a High Speed Signal Quality measurement, view the results, and generate the report. To perform these tasks, the application must be installed and enabled on a supported oscilloscope.

To take a High Speed Signal Quality measurement, follow these steps:

  1. To set the application to default values, select File > Recall Default. The application displays the message ‘Default setup recalled successfully.’

  2. Select Measurements> High Speed and select all the Signal Quality measurements in the Signal Quality Check area using Select All button.

  3. Select the Configure option or go to Measurements> Configure.

  4. Select the Source tab> From File>Browse and locate the file.

  5. Select the file C:\TekApplications\tdsusb2\tsvfiles\HS_sqc.tsv.

  6. Select the [image] command button to run the application. The application automatically displays the Eye Diagram and the Waveform Plot.

  7. Minimize the eye diagram and the waveform plot button to view the summary results.

  8. Select Results> Details in the application menu bar to view the Results Details. Click the Additional Information button to display the additional information.

  9. Select Utilities> Generate Report to generate the report.

  10. Select the Report format as Plug-Fest Specific and use the default file name. Select Generate.

  11. The application displays the sample report file in a browser.


Taking a Low Speed Measurement

Taking a Low Speed Signal Quality Measurement

This section discusses how to take a Low Speed Signal Quality measurement, view the results, and generate a report. To perform these tasks, the application must be installed and enabled on a supported oscilloscope. View Installing the application to install the application.

To take a Low Speed Signal Quality measurement, follow these steps:

  1. To set the application to default values, select File> Recall Default. The application displays the message ‘Default setup recalled successfully.’ Select OK to view a screen image showing the default settings.

  2. Select the Low Speed tab and select the Signal Quality measurements in the Signal Quality Check area using Select All button.

  3. Select the Configure tab or select Measurements> Configure. The Measurements: Configure default settings display.

  4. Select the Measurements: Source. If the source is Live or Ref, configure the appropriate channels for D+, D– and Qualifier. You have to always select D+ first. If you select any one of the Live channels CH1-CH4 for D+ source, the remaining Live channels are selected from the D– and the Qualifier channel source. If you select any one of the Ref channels Ref1-Ref4 for D+ source, the remaining Ref channels are selected from the D– . There is no Qualifier channel source for the Ref signals.

If the source is from the file, use the browse button to browse the file.

  5. Select the file C:\TekApplications\tdsusb2\tsvfiles\LS_SQC.tsv.

  6. Select the [image] command button to run the application. The application displays the Eye Diagram and the Waveform Plot.

  7. Minimize the eye diagram and waveform plot to view the summary results.

  8. The application displays the Results Summary as PASS [image]. You can also select the result to view the details of the selected test.

  9. To view the Results Details, select Results> Details in the application menu bar or PASS command button in the Overall Result area to view the details of each measurements.

  10. Select Utilities> Report Generator in the application menu bar to generate the Report.

  11. You can view the default screen with the Tektronix Specific Format enabled. The report directory appears with a default file name. You can change the file name if you want. Click the Generate button.

  12. Click the generate button. The application generates an HTML file in C:\TekApplications\tdsusb2\report. To view this report, open it in an HTML viewer or a browser.


About Application Examples

This section presents the application examples. The simplified examples highlight the application measurements and show how to use the application to solve your test problems.

To use these examples, you must have the TDSUSB2 application installed and enabled on the oscilloscope. Connect the probes to your unit under test (UUT), and perform the configuration tasks. For information, see Installing the application and Starting the Application.

See Also

Signal Quality tests on Full Speed Signal Quality Tests for Downstream Testing

Droop Test for Ports of Hub

Full Speed Signal Quality Tests for Upstream Testing

Inrush Current Test for a device

Signal Quality for High Speed devices


Specifying the Equipment-Full Speed Signal Quality Tests

Specifying the Equipment-Full Speed Signal Quality Downstream Tests

The following equipment is needed for downstream signal quality check on a Full Speed device testing:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Three P6245 or TAP1500 single-ended voltage probes


Typical Equipment Setup-Full Speed Signal Quality Tests

Typical Equipment Setup-Full Speed Signal Quality Downstream Tests

To set up the equipment for Full Speed Signal Quality Downstream test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use the adapters to connect the A receptacle from Device SQ test section (marked DUT) of the test fixture to the USB2.0 Low Speed device.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Device SQ section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Device SQ section of the test fixture.

  5. Connect the Init port of the Device SQ section of the test fixture to any port of the unit under test (hub) using USB cable.

  6. Select the measurement and select the [image] command button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: Make sure the acquired signal is a valid waveform.


Selecting and Configuring Measurements-Full Speed Signal Quality Tests

Follow the steps to select measurements for Full Speed Signal Quality check:

  1. From the application menu, select Measurement > Select> Full Speed tab.

  2. Select the following signal quality checks:

  • Eye Diagram Test

  • Signal Rate

  • Paired JK Jitter

  • Paired KJ Jitter

  • Consecutive Jitter

  • EOP Width

  • Cross-Over Voltage

  • Rise Time

  • Fall Time

  3. Select the Select All toggle button to select all the measurements simultaneously. Click on any measurement button to deselect it.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure.

  2. Configure the following options:

Option | Set to
Tier | Tier6
Direction | Downstream
Test Point | Set the test point to Far End

  3. Select the Source tab.

  4. Configure the following options:

Option | Set to
Live/Ref | Single-ended

  5. If you select Single-ended, you must select two channels for D+ and D–.

  6. Select [image] to acquire the data.

  7. The application automatically displays the eye diagram and waveform plot of the signal acquired from the unit under test.


Viewing Results-Full Speed Signal Quality Tests

To view the results of the tests, follow these steps:

  1. From the application menu, select Results> Summary.

  2. Click on any of the test result [image] buttons to get the details of that test.

  3. From the application menu, select Results> Details.

  4. Click the Eye Diagram option in Results Summary or the Details to view the Eye Diagram.

  5. Click the Waveform Plot option to view the annotated waveform plot.


Generating Reports-Full Speed Signal Quality Tests

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report Formats: Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Droop Tests

Specifying the Equipment-Low Speed Droop Tests

The following equipment is needed to perform a Droop Test for Low Speed device:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Droop Tests

Typical Equipment Setup-Low Speed Droop Tests

To set up the equipment for Droop test, follow these steps:

  1. Use the Droop and Adjacent Trigger section for the Droop test. Use standard USB cable to connect the loads on the test fixture to the ports of the unit under test as shown in the next figure.

  2. The setup requires two channels of the oscilloscope: one for the Droop Load Trigger Timer that is on the Droop test load section, and the other for VBUS that is on the Adjacent Trigger and Droop Test section of the test fixture. Use the load switch to select appropriate loads for Droop Test.

  3. In the Droop and Adjacent Trigger section on the test fixture, probe Ch1 from the VBUS and ground the pins.

  4. In the Droop Test Load section on the test fixture, probe Ch2 from the oscillator (marked OSC) and ground the pins.

  5. Connect the Droop Trigger Test Load to the Port1 of the unit under test (hub).

  6. Connect the Load1 to Port2 of the hub under test.

  7. Connect the Load2 to the A receptacle of the Droop and Adjacent Trigger section on the test fixture. Connect the A pin dongle from the Droop and Adjacent Trigger section to the Port4 of the unit under test (hub). Port4 is the port under test of the hub.

  8. Connect the Load3 to Port3 of the unit under test (hub). Now all the ports of the unit under test are connected (hub).

  9. Select the measurement and select the [image] command button to run the application.

  10. Select OK when the valid waveform is acquired.

  11. Observe the droop in the VBUS when Droop test load is applied.

Note: The application automatically sets up the oscilloscope to acquire the Droop signal. If you do not get a valid signal, set up the oscilloscope accordingly.

Note: Use the Load Switch to select 500 mA test loads for Droop testing of a self powered hub and system. Use the Load Switch to select 100 mA test loads for Droop testing of bus powered hub and system. Use the Load Switch to select 500 mA test loads for Droop testing of self powered hub and system.


Selecting and Configuring Measurements-Droop Tests

From the application menu, select Measurement> Select> Droop Test.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. From the application menu, select Measurement> Configure.

  2. Configure the following options:

Option | Set to
Port | Port under test
Source VBUS Trigger | Downstream Ch1 Ch2
Device type | Self-powered

  3. Select [image] to acquire the data.

  4. After acquiring the data, the application displays the eye diagram and the waveform plot automatically.


Viewing Results-Droop Tests

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, select Results> Summary.

  2. Click on any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.

  4. Click the Eye Diagram option in Results Summary or Results Details to view the Eye Diagram.

  5. Click the Waveform Plot to view the annotated waveform plot.


Generating Reports-Droop Tests

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report Formats: Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select Manual option to generate the report.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Full Speed Signal Quality Tests for Upstream Testing

The following equipment is needed for upstream signal quality check on a low or full speed device:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Three P6245 or TAP1500 single-ended voltage probes


Typical Equipment Setup-Full Speed Signal Quality Tests for Upstream Testing

To set up the equipment for Full Speed Signal Quality test for Upstream, follow these steps:

  1. Use the A receptacle to connect the USB unit under test (device) to the Inrush Droop section of the test fixture.

  2. Connect the Qualifier device to the Adjacent Trigger and Droop section of the test fixture as shown in the next figure.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Inrush Droop section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Inrush Droop section of the test fixture.

  5. Connect the D+ (D- for Low speed) pin of the Adjacent Trigger and Droop Section of the test fixture to Ch3 as shown in the next figure.

  6. Use the connectors to connect the A pin dongle from the Adjacent Trigger and Droop section of the test fixture to one port of the Hub 5. Use the A pin dongle from the Inrush Droop section of the test fixture to another port of the Hub 5.

  7. Select the measurement and select the [image] command button to run the application.

  8. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: Use the standard USB cables to connect between the hubs. Keep the Discharge switch in the Inrush Droop section in the ON position.


Selecting and Configuring Measurements-Full Speed Signal Quality Tests for Upstream Testing

Follow the steps to select measurements for Full Speed Signal Quality check:

  1. Select Measurements> Select > Full Speed tab.

  2. Select Signal Quality tests:

  • Eye Diagram Test

  • Signal Rate

  • Paired JK Jitter

  • Paired KJ Jitter

  • Consecutive Jitter

  • EOP Width

  • Cross-Over Voltage

  • Rise Time

  • Fall Time

  3. Select the Select All toggle button to select all the measurements simultaneously. Click any measurement button to deselect it.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Tier | Tier6
Direction | Upstream
Test Point | Far End

  3. Select the Source tab.

  4. Configure the following options:

Option | Set to
Live/Ref | Single-ended Ch1, Ch2
Qualify Channel | Ch3

  5. Select [image] to acquire the data.

  6. The application automatically displays the Eye Diagram and the Waveform Plot of the signal acquired from the unit under test.


Viewing Results-Full Speed Signal Quality Tests for Upstream Testing

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.

  4. Click the Eye Diagram option in Results Summary or Results Details to view the Eye Diagram.

  5. Click the Waveform Plot to view the annotated waveform plot.


Generating Reports-Full Speed Signal Quality Tests for Upstream Testing

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report Formats: Tektronix, Plug-Fest Specific or CSV format.

  3. Select the Manual option to generate the report.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Inrush Current Test

Specifying the Equipment-Full Speed Inrush Current Test

The following equipment is needed for Inrush Current Check on a Full Speed Device:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • One TCP202 current probe


Typical Equipment Setup-Inrush Current Test

To set up the equipment for Inrush test, follow these steps:

  1. Use the dongle on the Inrush section of the test fixture to connect it to the host system.

  2. Connect the current probe between the VBUS loop wire on the Inrush section on the Test fixture and Ch1 of the oscilloscope.

  3. Configure the measurement and select the [image] command button to run the application.

  4. Connect the unit under test to the A Receptacle of the Inrush section of the test fixture and observe the Inrush current signal.

  5. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: To avoid the triggering of Inrush signals and false inrush current by the discharge switch, place the inrush discharge switch in the ON position and hot-plug the unit under test (device). In case a valid Inrush signal is not acquired, use the cursor mode in File> Preferences or set up the oscilloscope to get a valid waveform.


Selecting and Configuring Measurements-Inrush Current Test

From the application menu, select Measurement> Select> Inrush Current.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Tier | Tier is always set to 1
VBUS | Enter voltage measured across VBUS manually
Device Type | Hot Plug Attach

  3. Select the Source tab.

  4. Configure the following options:

Option | Set to
Live/Ref | Channel acquiring the signal

  5. Select Run.


Viewing Results-Inrush Current Test

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.

  4. Click the Eye Diagram option in Results Summary or Results Details to view the Eye Diagram.

  5. Click the Waveform Plot to view the annotated waveform plot.


Generating Reports-Inrush Current Test

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats – Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select the manual report generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


View Inrush Measurements Report in CSV format


View Eye Diagram for Signal Quality Check High Speed Devices


High Speed Report in Tektronix Format


View Procedural Steps from the Application

Select the View Procedure button to view the procedural steps. Click the Overall Result to display the figure below


View Waveform Plot for Signal Quality Check High Speed Devices


View Chirp Measurement Results


Specifying the Equipment-Signal Quality Tests for High Speed Devices

Specifying the Equipment-Signal Quality Tests for High Speed Devices for Upstream Testing

The following equipment is needed for signal quality tests on a High Speed device for upstream testing:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • One P6248 differential probe


Typical Equipment Setup-Signal Quality Tests for High Speed Devices

Typical Equipment Setup-Signal Quality Tests for High Speed Devices for Upstream Testing

To set up the equipment for the High Speed Signal Quality test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Connect the standard USB cable between the Device SQ Init port and the host port.

  3. Connect the USB cable from the A receptacle (marked DUT) of the Device SQ test port of the test fixture to the unit under test (device).

  4. Configure the measurement and select the [image] command button to run the application.

  5. Place the device in the test mode Test_Packet from the host controller.

  6. Set the test Init switch to the test position to isolate the unit under test while maintaining the bus power.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed in the screen.


Selecting and Configuring Measurements-Signal Quality Tests for High Speed Devices

Selecting and Configuring Measurements-Signal Quality Tests for High Speed Devices for Upstream Testing

Follow the steps to select measurements for High Speed Signal Quality check:

  1. From the application menu, select Measurement> Select> High speed (tab).

  2. Select the tests:

  • Eye Diagram Test

  • Signal Rate

  • EOP Width

  • Rise/Fall Time

  • Monotonic Property

  3. Select the Select All toggle button to select all the measurements simultaneously. Click on any measurement button to deselect it.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Tier | Tier1
Direction | Upstream
Test Point | Set the test point to Near End

  3. Configure the following options in the Source field:

Option | Set to
Live/Ref | Differential

  4. Select [image] to acquire the data.

  5. The application automatically displays the Eye Diagram and Waveform Plot of the signal acquired from the unit under test. This is possible if you enable the automatic display of the eye diagram and the waveform plot in the Preferences menu.


Viewing Results-Signal Quality Tests for High Speed Devices

Viewing Results-Signal Quality Tests for High Speed Devices for Upstream Testing

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, select Results> Summary.

  2. Click any one of the test result buttons to get the details of that test.

  3. Click the Additional Information button to display the additional information.

  4. From the application menu, select Results> Details.

  5. Click on the Eye Diagram in Results Summary or the Results Details to view the eye diagram.

  6. Click on the Waveform Plot to view the waveform plot.


Generating Reports-Signal Quality Tests for High Speed Devices

Generating Reports-Signal Quality Tests for High Speed Devices for Upstream Testing

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Packet Parameter Measurement

The following equipment is needed for a Packet Parameter measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • One P6248 differential probe

  • Host Controller (Host controller card with the test mode software on a Microsoft Windows PC)


Typical Equipment Setup-Packet Parameter Measurement

  1. If your DUT is EL_21, EL_23, EL_25, select the Single Step Set Feature option from the HS electrical test tool.

  2. If your DUT is EL_22, select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  1. Complete procedures 1 and 2 to set up the test fixture and the oscilloscope.

  2. The oscilloscope acquires and displays the waveform as shown in the next figure.

  3. "Press OK when correct waveform is acquired”

  4. The application measures the synchronous bits (32) of the first and second packets. This is EL_21.

  5. The application measures the EOP of the second packet (8bits). This is EL_25. As the signal is differential, the EOP can be a positive or a negative pulse .

  6. The application measures the inter-packet gap of the first two packets (88-192 bits). This is EL_23 as shown in the next figure.

  1. Complete procedures 1 and 2 to set up the test fixture and the oscilloscope.

  2. Select the Step button in the HS Electrical Test Tool.

  3. The oscilloscope acquires and displays the waveform as shown in the next figure.

  4. "Press OK when correct waveform is acquired”

  5. The application displays the waveform as shown in the next figure.

  6. The application measures the inter packet gap of the second and the third packet (88-192 bits). This is EL_22.

  1. Complete the procedure 1.

  2. Run the test mode software and select the Host option.

  3. Select the Enumerate button in the HS electrical test tool to identify the device connected to the host controller.

  4. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger). You can see the SOFs on the oscilloscope screen.

  1. If your DUT is EL_21, EL_23, EL_25, select the Single Step Set Feature option from the HS electrical test tool.

  2. If your DUT is EL_22, select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  1. Complete procedures 1 and 3 to set up the oscilloscope.

  2. The oscilloscope acquires and displays the waveform as shown in the next figure.

  3. “Press OK when correct waveform is acquired”

  4. The application measures the synchronous bits (32) of the third packet. This is EL_21.

  5. The application measures the EOP of the third packet (8bits). This is EL_25. As the signal is differential, the EOP can be a positive or a negative pulse.

  6. The application measures the inter-packet gap between the second and the third packets (88-192 bits). This is EL_23 as shown in the next figure.

  1. Complete procedures 1 and 3 to set up the oscilloscope.

  2. Select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  3. The application measures the number of bits (88-192) between the packets.

Typical Equipment Setup-Packet Parameter Measurement

Test Fixture Setup

To set up the test fixture, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Connect the standard USB cable between the Device SQ Init port and the host port.

  3. Connect the A receptacle (marked DUT) from the Device SQ test port to the device under test.

  4. Apply the power to the test fixture.

  5. Apply the power to the DUT.

  6. Attach the differential probe near the device connector on the test fixture.

Set up the Oscilloscope for High Speed Host

  1. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger) and displays the message,"Press OK when correct waveform is acquired". You can see the SOFs on the oscilloscope screen.

  2. If you are not able to acquire the waveform automatically, perform Autosetup in the oscilloscope to display the SOF.

  3. Click here to find out how to adjust the trigger manually.

You can use the application to perform the following measurements:

  • High Speed Host: EL_21, EL_23, EL_25 (EOPII-InterPacketI&II)

  • High Speed Host: EL_22 (InterPacketII&III)

  • High speed Host: EL_55 (SOF-EOP)

To set up the oscilloscope for the High Speed Device EL_21, EL_23, EL_25 (Sync-EOPIII-InterPacketII&III) and a High Speed Device EL_22 (InterPacketI&II), follow these steps:

  1. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger) and displays the message, "Press OK when correct waveform is acquired”. You can see the SOFs on the oscilloscope screen.

  2. If you are not able to acquire the waveform automatically, perform Autosetup in the oscilloscope to display the SOF.

  3. Click here to find out how to adjust the trigger manually.

You can use the application to perform the following measurements:

  • High Speed Device: EL_21, EL_23, EL_25 (Sync-EOPIII-InterPacketII&III)

  • High Speed Device: EL_22 (InterPacketI&II)


Selecting and Configuring Measurement-Packet Parameter Measurement

Follow these steps to select measurements for Packet Parameter measurement:

  1. From the application menu, select Measurement> Select> High speed tab.

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset from High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset Suspend

  3. Select Packet Parameter measurement.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Select DUT | Host, Device

  3. Configure the following options:

Option | Set to
Host | EL_21, EL_23, EL_25 EL_22 EL_55
Device | EL_21, EL_22, EL_25 EL_22
Source | Ch1-Ch4, Ref1-Ref4

  5. Select [image] to acquire the data.


Viewing Results-Packet Parameter Measurement

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  2. From the application menu, select Results> Details.


Generating Reports-Packet Parameter Measurement

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific, or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Resume Measurement

The following equipment is needed for the Resume measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Resume Measurement

To set up the Device SQ in the test fixture for the Resume test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end. Connect one end of the cable to the B receptacle socket connector on the Init port of the Device SQ section and the other end to the host port A socket.

  3. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  4. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  5. Select the Resume measurement in the application, configure its options and select the Run button to run the application.

  6. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Selecting and Configuring Measurement-Resume Measurement

Selecting and Configuring Measurement-Resume

Follow these steps to select measurements for Resume measurement:

  1. From the application menu, select Measurement> Select> High speed (tab).

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset from High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset Suspend

  3. Select the Resume measurement.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Signal Direction | Upstream, Downstream

Source

D+ Ch1-Ch4, Ref1-Ref4

D– Ch1-Ch4, Ref1-Ref4

  5. Select [image] to acquire the data.


Viewing Results-Resume Measurement

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.


Generating Reports-Resume Measurement

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific, or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Reset from Suspend Measurement

The following equipment is needed for Reset from Suspend measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Reset from Suspend Measurement

To set up the Device SQ in the test fixture for the Reset from Suspend test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B receptacle socket connector on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Reset from Suspend measurement from the application, configure its options, and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Selecting and Configuring Measurement-Reset from Suspend Measurement

Follow these steps to select measurements for Reset from Suspend measurement:

  1. From the application menu, select Measurement> Select> High speed tab.

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset From Suspend

  3. Select the Reset from Suspend measurement.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options.

Option | Set to
Signal Direction | Upstream
Source | D+ Ch1-Ch4, Ref1-Ref4 D– Ch1-Ch4, Ref1-Ref4

  3. Select [image] to acquire the data.


Viewing Results-Reset from Suspend Measurement

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.


Generating Reports-Reset from Suspend Measurement

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific, or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Suspend Measurement

The following equipment is needed for Suspend measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Suspend Measurement

To set up the Device SQ in the test fixture for the Suspend test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B receptacle socket connector on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Suspend measurement, configure its options and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Selecting and Configuring Measurement-Suspend Measurement

Follow these steps to select measurements for Suspend measurement:

  1. From the application menu, select Measurement> Select> High speed tab.

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset From Suspend

  3. Select the Suspend measurement.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following signal direction options:

Option | Set to
Signal Direction | Upstream, Downstream

Source

D+ Ch1-Ch4, Ref1-Ref4

D– Ch1-Ch4, Ref1-Ref4

  5. Select [image] to acquire the data.


Viewing Results-Suspend Measurement

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.


Generating Reports-Suspend Measurement

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific, or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Rest from High Speed Measurement

Specifying the Equipment-Reset from High Speed Measurement

The following equipment is needed for Reset from High Speed measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Rest from High Speed Measurement

Typical Equipment Setup-Reset from High Speed Measurement

To set up the Device SQ in the test fixture for the Reset from High Speed test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B receptacle socket connector on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Reset from High Speed from the application, configure its options and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Selecting and Configuring Measurement-Rest from High Speed Measurement

Selecting and Configuring Measurement-Reset from High Speed Measurement

Follow these steps to select measurements for Reset from High Speed measurement:

  1. From the application menu, select Measurement> Select> High speed tab.

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset From Suspend

  3. Select the Reset from High Speed measurement.

Configuring the Measurement

Follow these steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Signal Direction | Upstream
Source | D+ Ch1-Ch4, Ref1-Ref4 D– Ch1-Ch4, Ref1-Ref4

  3. Select [image] to acquire the data.


Viewing Results -Rest from High Speed Measurement

Viewing Results -Reset from High Speed Measurement

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.


Generating Reports-Rest from High Speed Measurement

Generating Reports-Reset from High Speed Measurement

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


Specifying the Equipment-Chirp

The following equipment is needed to test Chirp measurement:

  • Tektronix digital oscilloscope

  • TDSUSB2 application

  • TDSUSBF compliance test fixture

  • Two P6245 or TAP1500 single-ended probes


Typical Equipment Setup-Chirp

The section used for this device test is Device SQ in the test fixture. To set up the equipment for the Chirp test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B receptacle socket connector on the Init port of Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the measurement and select the [image] button to run the application.

  7. Disconnect and connect the unit under test (device) to the port and observe the chirp signal on the oscilloscope.

  8. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: To avoid false triggering for the chirp signals while operating the test fixture, it is recommended that you place the switch in the Init position and connect the unit under test. This disables the switch bounce to the trigger.


Selecting and Configuring Measurement-Chirp

Follow these steps to select measurements for Chirp measurement:

  1. From the application menu, select Measurement> Select> High speed tab.

  2. Select the More button to display the following tests:

  • Receiver Sensitivity

  • Suspend

  • Reset from High Speed

  • Packet Parameter

  • Chirp

  • Resume

  • Reset Suspend

  3. Select Chirp measurement.

Configuring the Measurement

Follow the steps to configure the selected measurements:

  1. From the application menu, select Measurement> Configure> Configure tab.

  2. Configure the following options:

Option | Set to
Select DUT | Host, Device
Host | EL_33, EL_34 EL_35
Device | EL_28, EL_29, EL_31
Source | Ch1-Ch4, Ref1-Ref4

  3. Select [image] to acquire the data.


Viewing Results-Chirp

To view the results of the tests, follow these steps:

  1. Run the application and from the application menu, and select Results> Summary. The next figures show the result of a Chirp Device measurement.

  2. Click any of the test result buttons to get the details of that test.

  3. From the application menu, select Results> Details.

  4. Click here to view the results of the Chirp Host measurement.


Generating Reports-Chirp

To generate reports of the test results, follow these steps:

  1. From the application menu, select Utilities> Report Generator.

  2. Select any one of the Report formats: Tektronix Specific, Plug-Fest Specific or CSV format.

  3. Select the manual generation mode.

  4. Select the Generate button to display and view the selected report format.

Note: You can view the Plug-Fest specific report format as HTML pages and the .csv format in Microsoft Excel.


View High Speed Measurement Plug-Fest Specific Format


View Full Speed Measurements Report in Plug-Fest Specific Format


View Signal Quality Check Eye Diagram


View Signal Quality Check Waveform Plot


View the Report for Full Speed Measurements


View Inrush Results Details


View Waveform Plot for Full Speed Signal Quality Check Measurements


View Signal Quality Check Details


View Eye Diagram for Full Speed Signal Quality Check Measurements


View Eye Diagram For High Speed Measurements


View Waveform Plot For High Speed Measurements


View Signal Quality Check Results Details


View Sample Report File for Inrush Current Check


About the R-GPIB Program

An example of an R-GPIB program that can execute the TDSUSB2 measurement is included with the application. The oscilloscope hard disk and optional applications compact disc both contain the file, TDSUSB2_rgpib.c. On the hard drive, the file resides in the C:\Program Files\TekApplications\tdsusb2 directory.

This example shows how an R-GPIB program executes the application to do the following tasks:

  1. Start up the application

  2. Recall Full Speed Signal Quality setup

  3. Run the measurement

  4. Generate the reports.

  5. Exit the application


R-GPIB Reference Materials

To use the R-GPIB commands with your oscilloscope, refer to the following materials:

  • The TDSUSB2_rgpib.c file on the oscilloscope hard drive (located in the C:\Program Files\TekApplications\tdsusb2 directory) and optional application compact disc for an example of an R-GPIB command that can execute the application.

  • The R-GPIB Program Example section for guidelines to use while designing the R-GPIB program.

  • The programmer information is in the online help of your oscilloscope.


Introduction to R-GPIB commands

With the knowledge of R-GPIB command syntax, you can design an R-GPIB program to do the following tasks:

  • Start the TDSUSB2 application

  • Recognize an active application with R-GPIB protocol

  • Program and read the application setup parameters

  • Sequence measurements

  • Generate reports


Guidelines to R-GPIB Programming

The TDSUSB2 application includes an example of an R-GPIB program for your reference as a program example. Your R-GPIB program should comply with the following guidelines:

  • The application startup must complete before sending additional R-GPIB commands to the application (see example).

  • To generate reports, first check whether the sequencer state is "Ready".

  • Appropriate delay (for example: 2 secs) should be maintained between commands.

  • The status variable should be checked to ensure that an error has not occurred because of a measurement command problem.

  • R-GPIB event queue needs to be monitored. Make sure the event queue is clear before sending the next R-GPIB command to prevent event queue overflow.

  • Commands are case and space sensitive. Your program will not operate correctly if you do not follow the capitalization and spacing precisely.


Launching the Application using R-GPIB

You must manually set up the oscilloscope to launch the application. To start the TDSUSB2 application, you must send the oscilloscope the following R-GPIB command:

application:activate"USB2.0 Test Package"

The application uses the R-GPIB VARIABLE: VALUE command with arguments to execute some features. The set of R-GPIB commands includes the variable names and variable values necessary to select, configure, and run the measurements and to generate reports in the R-GPIB program.

You can select and configure the measurements that you want to use with your R-GPIB program.

Note: When using R-GPIB commands, the reports are saved in C:\TekApplications\tdsusb2\reports directory.


Sample Program

/* TDSUSB2

* This is a reference program to illustrate how to communicate with TDSUSB2

* using Remote GPIB facilities.

Typically, the application does the following steps:

  1. Start up the application

  2. Recall Full Speed Signal Quality setup

  3. Run the measurement

  4. Generate the report

  5. Exit the application

For the current program, we will recall a setup file named as sqcsetup.

You can save setup files according to your own needs using the GUI based interface of

the application.

*/

#include <windows.h>

#include <stdio.h>

#include <stdlib.h>

#include "decl-32.h"

/* Forward Declarations */

int start_application(int scope);

int exit_application(int scope);

int do_single_test (int scope);

int recall_setup( int scope, char *filename);

void display_results(int scope);

/* parameters needed to access the device driver handler */

#define BDINDEX 0 // Board Index

#define PRIMARY_ADDR_OF_DMM 1 // Primary address of device

#define NO_SECONDARY_ADDR 0 // Secondary address of device

#define TIMEOUT T10s // Timeout value = 10 seconds

#define EOTMODE 1 // Enable the END message

#define EOSMODE 0 // Disable the EOS mode

char ErrorMnemonic[21][5] = {"EDVR", "ECIC", "ENOL", "EADR", "EARG",

"ESAC", "EABO", "ENEB", "EDMA", "",

"EOIP", "ECAP", "EFSO", "", "EBUS",

"ESTB", "ESRQ", "", "", "", "ETAB"};

/*

* After each GPIB call, the application checks whether the call

* succeeded. If an NI-488.2 call fails, the GPIB driver sets the

* corresponding bit in the global status variable. If the call

* failed, this procedure prints an error message, takes

* the device offline and exits.

*/

void GPIBCleanup(int ud, char* ErrorMsg)

{

printf("Error : %s\nibsta = 0x%x iberr = %d (%s)\n",

ErrorMsg, ibsta, iberr, ErrorMnemonic[iberr]);

if (ud != -1)

{

printf("Cleanup: Taking device offline\n");

ibonl(ud, 0);

}

exit(0);

}

int start_application( int scope )

{

char write_buffer[100];

char read_buffer[100];

char app_name[] = "\"USB2.0 Test Package\"\n";

int status, timer;

/* Start the TDSUSB2 application */

sprintf(write_buffer, "%s", "Application:activate \"USB2.0 Test Package\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to start the application");

return 0;

}

timer = 1;

while (1)

{

/* Check whether application has started */

sprintf(write_buffer, "%s", "Variable:value? \"application\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

status = ibrd(scope, read_buffer, sizeof(read_buffer));

read_buffer[ibcnt] = '\0';

if (strcmp(app_name, read_buffer) == 0)

{

return 1;

}

timer++;

if (timer > 60)

{

return 0;

}

Sleep(1000);

}

return 1;

}

int exit_application(int scope)

{

char write_buffer[100];

printf("Exit Application ...\n");

sprintf(write_buffer, "%s", "Variable:value \"application\",\"exit\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

return 1;

}

int recall_setup(int scope, char* filename)

{

char write_buffer[100];

int status;

/* Set Recall file name */

sprintf(write_buffer, "%s%s%s", "Variable:value \"recallName\",\"", filename, "\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return 0;

}

Sleep(1000);

/* Recall setup */

sprintf(write_buffer, "%s", "Variable:value \"setup\",\"Recall\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return 0;

}

return 1;

}

int run_test (int scope)

{

char write_buffer[100];

char read_buffer[100];

int timer;

sprintf(write_buffer, "%s", "Variable:value \"sequencerState\",\"Sequencing\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

printf("Executing Test...\n");

Sleep(100);

/* Wait for application to come to Ready State */

timer = 1;

while (1)

{

timer++;

if (timer > 90)

{

printf("******Test Time Out ******\n");

return 0;

}

sprintf(write_buffer, "%s", "Variable:value? \"sequencerState\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt] = '\0';

if (strcmp(read_buffer,"\"Ready\"\n") == 0)

{

printf("Test Complete ...\n");

return 1;

}

Sleep(1000);

}

}

void report_generate(int scope,char* reportfilename)

{

char write_buffer[100];

char read_buffer[100];

int status;

/* Set report file name */

sprintf(write_buffer, "Variable:value \"reportName\",\"%s\"",reportfilename);

printf("%s",write_buffer);

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return;

}

Sleep(1000);

/*Generate the report*/

sprintf(write_buffer, "variable:value \"reportGenerate\",\"generate\"");

printf("%s",write_buffer);

ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to start the application");

return;

}

Sleep(2000);

printf("\t Full Speed Signal Quality Result stored\n");

}

void main()

{

int Dev;

char write_buffer[100];

int status;

Dev = ibdev (BDINDEX, PRIMARY_ADDR_OF_DMM, NO_SECONDARY_ADDR,

TIMEOUT, EOTMODE, EOSMODE);

if (ibsta & ERR)

{

GPIBCleanup(Dev, "Unable to open device");

}

else

{

printf("My device id - %i", Dev);

}

Sleep(1000);

sprintf(write_buffer, "%s", "header off");

status = ibwrt(Dev, write_buffer, strlen(write_buffer));

if (start_application(Dev))

{

printf("\nApplication started....\n");

}

Sleep(10000);

recall_setup(Dev,"sqcsetup");

Sleep(2000);

run_test(Dev);

Sleep(4000);

report_generate(Dev,"fs_sqc");

Sleep(2000);

exit_application(Dev);

/* leave the device back elegantly */

printf("Cleanup: Taking device offline\n");

ibonl(Dev, 0);

}


Variable: Value Command

Variable: Value Command

Description

This command accepts strings arguments for a control or data variable and a value to which to set the argument.

Syntax

VARIABLE:VALUE “<variable name>”,“<variable value>”

the arguments <variable name> and <variable value> are required in the order indicated.

VARIABLE:VALUE? “<variable name>” for query.

NOTE: Commands are case and space sensitive. Your program will not operate correctly if you do not follow the capitalization and spacing precisely.


Variable: Value TDSUSB2 Command Arguments and Queries- Application

Variable Name | Valid Values | Function | Query Form
Terminating the Application
application | exit | Setting the value will terminate the running application | Returns the name of the currently running application


Variable: Value TDSUSB2 Command Arguments and Queries- Sequencer

Variable Name | Valid Values | Function | Query Form
Running Measurements
sequencerState | {Sequencing}-for Sequencing {Ready, Sequencing}-for Query | Sets the sequencer state | Returns the sequencer state


Variable: Value TDSUSB2 Command Arguments and Queries- Save/Recall

Variable Name | Valid values | Function | Query Form
setup | {Default, Recall, Save} | Sets the save/recall/default action | The default value for this variable is an empty string. The variable is set to the selected value momentarily and after completion of the task, it returns to its default value
recallName | It is recommended to have any string of length 1-8 chars, comprising of A-Z, a-z, 0-9 | Sets the setup recall file name | Returns the setup recall file name
saveName | It is recommended to have any string of length 1-8 chars, comprising of A-Z, a-z, 0-9 | Sets the setup save file name | Returns the setup save file name


Variable: Value TDSUSB2 Command Arguments and Queries- Result/Report

Variable: Value TDSUSB2 Command Arguments and Queries- Report Generation

Variable Name | Valid values | Function | Query Form
reportFormat | {tek, plug-fest, csv} | Sets the Report format to Tektronix specific, plug-fest specific or CSV format | Returns the current report format
reportName | It is recommended to have any string comprising of A-Z,a-z, 0-9 in the manual mode. Do not add file name extension to the report name | Sets the report file name | Returns the report file name
reportDirectory | It is recommended to have any string comprising of A-Z,a-z, 0-9 and '\'. End the directory name with '\' | Sets the directory to save the report | Returns the directory to save report
reportMode | {auto, manual} | Sets the report generation mode to automatic or manual | Returns the report generation mode
reportGenerate | generate | Generates the report in the manual mode |


Shortcut Keys

This table lists the shortcut keys, that you can use for different tasks.

Action | Shortcut Keys
File Menu
Recall Default | AltF+D
Recall | AltF+R
Save | AltF+S
Preferences | AltF+P
Recently Recalled | AltF+C
Recently Saved | AltF+A
Minimize | AltF+N
Exit | AltF+X
Measurements Menu
Select | AltM+S
Configure | AltM+C
Results Menu
Summary | AltR+S
Details | AltR+D
Utilities Menu
Deskew | AltU+K
Report Generator | AltU+R
TSV File Generator | AltU+T
Help Menu
Help Topics | AltH+T
About TDSUSB2 | AltH+A

Note: Use the Alt key with only the first keystroke . Release the Alt key before you press the final key. For example, to use the shortcut key AltF+D, press the Alt and F keys together. Release the keys and then press D.


USB2.0 Specifications

This section gives the USB2.0 values for measurements for Low, Full and High speed signals.

Low Speed

 | USB Limits |  | Waiver Limits |  | User Configure Limits |  | References*
Measurements | Max | Min | Max | Min | Max. range | Min. range |
Cross-Over Voltage | 2.0 V | 1.3 V | 2.5 V | 0.8 V | 1.6-2.4 V | 1.04-1.56 V | Chapter 7, Table 7-7, Section 7.1.2.1
Signal Rate | 1.5225 Mbps | 1.4775 Mbps | 1.5675 Mbps | 1.4325 Mbps | 1.5675-1.881 Mbps | 1.146-1.4325 Mbps | Chapter 7, 7.1.11
Conse-cutive Jitter | <25 ns | N/A | <333 ns | N/A | 20-30 ns | N/A | Chapter 7, 7.1.13.1
Paired Jitter | <10 ns | N/A | <200 ns | N/A | 8-12 ns | N/A | Chapter 7, 7.1.13.1
Rise Time | 300 ns | 75 ns | N/A | N/A | 240-360 ns | 60-90 ns | Chapter 7, 7.1.2.1
Fall Time | 300 ns | 75 ns | N/A | N/A | 1240-360 ns | 60-90 ns | Chapter 7, 7.1.2.1
EOP Width | 1.5e-6 s | 1.25e-6 s | 3 bit times | 1 bit time | 1.2-1.8 | 1-1.5 ns | Chapter 7, 7.1.13.2.1

*The References Section refers to the chapter numbers in the ‘Universal Serial Bus Specifications Revision 2.0-2000’.

Note: Results within the USB limit lead to a PASS condition. Results within the waiver limits, but outside USB limits lead to a Conditional PASS. Results within the user configured limits lead to PASS. When user configure limits is selected, you can view only the result details.

Note:Testing at Tier 6 leads to a PASS. Testing at Tier 5 and 4 leads to a Conditional PASS that is a Pass within the waiver limits. Testing at Tier 1 to 3 leads to a FAIL .

Full Speed

 | USB Limits |  | Waiver Limits |  | User Configure Limits |  | References*
Measure-ments | Max | Min | Max | Min | Max range | Min range |
Cross-OverVoltage | 2.0 V | 1.3 V | 2.5 V | 0.8 V | 1.6-2.4 V | 1.04-1.56 V | Chapter 7, Table 7-7, Section 7.1.2.1
Signal Rate | 12.03 Mbps | 11.97 Mbps | 12.15 Mbps | 11.85 Mbps | 12.15 to 14.8 Mbps | 9.48-11.85 Mbps | Chapter 7,7.1.13.1
Consecutive Jitter | <2 ns | N/A | <40 ns | N/A | 1.6-2.4 ns | N/A | Chapter 7, 7.1.13.1
Paired Jitter | <1 ns | N/A | <20 ns | N/A | .8-1.2 ns | N/A | Chapter 7, 7.1.13.1
Rise Time | 20 ns | 4 ns | N/A | N/A | 16-24 ns | 3.2-4.8 ns | Chapter 7, 7.1.2.1
Fall Time | 20 ns | 4 ns | N/A | N/A | 16-24 ns | 3.2-4.8 ns | Chapter 7, 7.1. 2.1
EOP Width | 175 ns | 160 ns | 3 bit times | 1 bit time | 140-210 ns | 128-192 ns | Chapter 7, 7.1.13.2.1

*References Section refers to the chapter numbers in the ‘Universal Serial Bus Specifications Revision 2.0-2000’.

Note: Results within the USB limits lead to a PASS. Results within the waiver limits, but outside USB limits lead to a Conditional PASS. Results within the user configured limits lead to a PASS result. If you select configured limits, you can view only the result details.

Note: Testing at Tier 6 leads to a PASS. Testing at Tier 5 and 4 leads to a Conditional PASS that is a Pass within the waiver limits. Testing at Tier 1 to 3 leads to a FAIL.

Note: The application uses the USB signal rate limits of Low Speed or Full Speed devices that are not capable of High Speed. The same limits for Low Speed or Full Speed that are High Speed capable to decide the result - PASS or FAIL.

High Speed

 | USB Limits |  | Waiver Limits |  | User Configure Limits |  | 80% to 120% | References*
Measure-ments | Max | Min | Max | Min | Max range | Min range | USB Pass/Fail |
Signal Rate | 480.24 Mbps | 479.76 Mbps | 480.264 Mbps | 479.736 Mbps | 480.264-576.3168 Mbps | 383.7888-479.736 Mbps | YES | Chapter 7,7.1.11
Rise Time | N/A | 500ps | N/A | N/A | N/A | 400-600 ps | YES | Chapter 7, 7.1.22
Fall Time | N/A | 500ps | N/A | N/A | N/A | 400-600 ps | YES | Chapter 7, 7.1. 22
Monotonicity | 0 | 0 | N/A | N/A | N/A | N/A | N/A | N/A
EOP Width | 8.5 bit times | 7.5 bit times | N/A | N/A | 8.5-10.2 bit times | 6-7.5 bit times | YES | Chapter 7, 7.1.13.2.2

*The References Section refers to the chapter numbers in the ‘Universal Serial Bus Specifications Revision 2.0-2000’.

Note:Results within the USB limits lead to a PASS. Results within the waiver limits, but outside USB limits lead to a Conditional PASS. Results within the user configured limits lead to PASS. If you select your configured limits, you can view only the result details.

Note:Whenever a high speed device is used in the low speed and full speed mode, the USB limits of the low speed and full speed devices are used to decide PASS or FAIL.

Note:USB2.0 specifications have not specified the maximum rise time and fall time. If rise or fall times are greater than 0.5 bits, then a wrong, (long) rise or fall time will be captured as an eye diagram failure.

Inrush Current Check

 | USB Limits |  | Waiver Limits |  | User Configure Limits |  | 80% to 120% | References*
Measurements Hot Plug Attach | Max | Min | Max | Min | Max range | Min range | USB Pass/Fail |
VBUS Default Volts 5.15 | 5.25 V | 4.4 V | N/A | N/A | N/A | N/A | YES | Chapter 7, 7.22
Inrush Level | 100 mA | N/A | N/A | N/A | 80-120 mA | N/A | YES | Current Draw.pdf

Droop Test

 | USB Limits |  | Waiver Limits |  | User Configure Limits |  | 80% to 120% | References*
Measure-ments | Max | Min | Max | Min | Max range | Min range | USB Pass/Fail |
Droop Compliance Voltage | <330 mV | 70.0 m | N/A | N/A | 264-396 mV | N/A | YES | Chapter 7, 7.2.4.1

*References Section refers to the chapter numbers in ‘Universal Serial Bus Specifications Revision 2.0-2000’.


Error Codes and Warnings

This section gives a list of error codes that the application displays and their descriptions.

Error Codes | Error Message | Description | Possible Solutions
Sequencer Errors
E101 | Error importing waveform from the oscilloscope | The application is trying to import the waveform(s) from the selected source(s), but is not able to import the waveform to the application | Make sure that the application settings are the same as the selected oscilloscope channels. Check the probe connections and the compliance test fixture connections for the live signal(s)
E102 | Error in accessing .tsv file | This error occurs whenever .tsv file is selected as the source file and this file is not a valid .tsv file | Check whether the file name extension is .tsv. The selected .tsv source file may be corrupted. Try running the application with a different tsv file
E103 | Mismatch in the .tsv file format | The .tsv file should match the file structure mentioned in Reference section of this help. For Low and Full Speed signals, each data record should have three values (Timestamp, D+, D–). For a High Speed .tsv file, the file should have two columns (Time, Diff). Use a valid file | Try generating the .tsv file using .tsv File Generator utility that is available in the Utilities menu
E104 | Record length is more. Set the record length to less than XXXXXX data points | The record length is too high for the waveform | Click the "Horiz" button or "Horiz/Acq" Menu from the oscilloscope UI. Go to Horizontal tab and decrease the record length
Error in acquiring waveform from oscilloscope
E111 | Timeout occurred while acquiring a waveform | This is the GPIB timeout information that appears when the application is acquiring the waveform | Make sure the probe and compliance test fixture connections are proper. Reacquire the new waveform
E112 | Error in turning on a channel | The application failed to turn on the live channel selected as source(s) | Make sure the probe and compliance test fixture connections are proper. Reacquire the new waveform
E113 | Error in importing waveform from instrument | The operation of importing the waveform from the acquisition memory failed. This will fail whenever there is no valid waveform in the acquisition memory | Make sure the probe and compliance test fixture connections are proper. Reacquire the new waveform

Packet Detection Warning
E201 | No EOP region found | Testing will be performed on an full USB2.0 packet, which includes an EOP region. If no EOP region is found, the results might be incorrect since testing will be performed on a incomplete packet. For Upstream signal quality testing, EOP must be present | Try acquiring the signals again by pressing Run button
E202 | Number of record points (data points) are too few to process | At least 500 record points are required to perform an operation. The application automatically sets the required record length. The user should not change the record length | Try acquiring the signals again the pressing Run button
E203 | Idle region is not found after EOP | As part of the USB2.0 packet description, an EOP region follows an idle region. If no idle region is found, it may lead to incorrect results | Try acquiring the signals again by pressing the Run button
E204 | Reconfirm acquired data before computing the results | As part of the USB2.0 packet description, a minimum of three J-K or K-J state transitions are expected. An absence of these transitions may lead to incorrect results | Try acquiring the signals again by pressing the Run button

Signal rate measurement errors or warning
E301 | There should be at least two Cross-Over time values to calculate the signal rate | For signal rate calculations, the application expects a minimum of two Cross-Over points | Try acquiring the signals again by pressing the Run button
E306 | Device/ File doesn't match with the selected speed | The signal rate should be within 30% of the specified signal rate of the Low, Full and High Speed signals | Please check the speed of the connected device. Ensure that the selection in application is the same. For example, if a Low Speed unit is under test, make sure Low Speed is selected in the application
JK and KJ Jitter Measurement Errors
E304 | Number of bits is not sufficient to calculate JK jitter | More than four Cross-Over points are expected by the algorithm | Try acquiring the signal again by pressing Run button
E305 | Number of bits is not sufficient to calculate KJ jitter | More than four Cross-Over points are expected by the algorithm | Try acquiring the signal again by pressing Run button

Report Generation Errors
E401 | Error generating report in Plug Fest format | This error is generated if there are no results to process | Check if the valid directory and file name is selected for report generation. Check if the file name extension is .htm. Try generating the report again by pressing Run button
E402 | Error Generating report in Tek format | This error is generated if there are no results to process | Check if the valid directory and file name are selected for report generation. Check if the file name extension is .htm. Try generating the report again by pressing Run button.
E403 | Error Generating report in CSV format | This error is generated if there are no results to process | Check if the valid directory and file names are selected for report generation. Check if the file name extension is .htm. Try generating the report again by pressing Run button
E404 | No results present to generate report | This error is generated if there are no results present for the USB Inrush, Droop and Signal Quality Check Reports | Press the Run button to get the results and try again
E405 | Could not generate a report as the Eye diagram is missing | This error is generated if there is no eye diagram found in C:\TekApplications\TDSUSB2\temp | Press the Run button and perform the measurements again
E406 | Could not generate report as Waveform plot is missing | This error is generated if there is no waveform plot found in C:\TekApplications\TDSUSB2\temp | Press the Run button and perform the measurements again

Eye Measurements
E601 | The maximum zoom factor has been reached | N/A | Press the Reset button or use the Zoom out feature.
E602 | Signal not proper, check the signal | This is a check to confirm the acquired waveform | Try acquiring the correct waveform
Inrush Measurements
E501 | Final data point is still above the inrush threshold | The signal has not fallen below the Inrush threshold level | Try acquiring the correct waveform

Utilities
E701 | Number of edges found in the waveform is less than required edges (user input) to perform the deskew operation | Before starting the deskew operation, the application tries to find out if the edge(s) available for deskew operation is greater than or equal to the number of edges needed | Adjust the timebase and (or) increase the record length. Perform the deskew operation by entering less number of edges
E702 | Propagation delay is more than one cycle | The deskew operation is performed on the same signal source. Check whether dissimilar signals or any external sources (like different probes) are used | Check whether the same signal source is used for the "From" and "To" channels. Check whether the bandwidth of the probes is sufficient for the signal bandwidth
E701 | Number of edges found in the waveform is less than required edges (user input) to perform the deskew operation | Before the deskew operation can start, the number of edge(s) available for deskew operation must be greater than or equal to the number of edges needed | Adjust the timebase and (or) increase the record length. Perform the deskew operation by entering less number of edges
E702 | Propagation delay is more than one cycle | The deskew operation is performed on the same signal source. Check whether dissimilar signals or any external sources (like different probes) are used | Check whether the same signal source is used for the "From" and "To" channels. Check whether the bandwidth of the probes is sufficient for the signal bandwidth

TSV File Generator
E721 | Error in generating a .tsv file | This message is generated if there is an error while generating the .tsv file for the given inputs | Check the correctness of the input .csv file(s) and the output .tsv file
E722 | Timestamp of the two .csv files did not match. Conversion failed | There will be two separate .csv files, one for D+ and another for D-. Each of these files consist of the time values of the D+ and D- signal. It is expected that both the files should have Data at same time stamp | Try generating the .tsv file with a new set of .csv files
E725 | Invalid CSV file format | This happens if the user does not use a valid CSV file format for the CSV-TSV file conversion | Check whether the CSV files are generated using the supported instruments and ensure that "Include waveform scale factors" is selected while generating a CSV file
E723 | .csv file(s) not found | The .csv file(s) are needed for the .csv source mode selection are not found. Two valid .csv files are needed for the Single-ended signals and one valid .csv file is needed for Differential signals | Check that the extension of the file(s) is .csv. Make sure to press the Enter key while entering the file name in the file selection field to update old file names
E724 | tsv file not found | A valid .tsv file is needed as destination file | Make sure to press the Enter key while entering the file name in the file selection field to update old file names Enter the .tsv extension while entering the file name

Save and Recall
E751 | The file name has invalid characters and could not be saved | The application expects the file names in alphanumeric characters | Make sure the valid characters are used in the file names
E754 | The file name has invalid characters and could not be recalled | The application expects the file names in alphanumeric characters | Make sure that valid characters are used in the file names
E752 | The file doesn't exist | The file name selected for recall does not exist | Recall an existing file name
E753 | The saved file has been corrupted and not recalled | The application saves the application settings with the .ini file extension. The data inside the file should not be modified by user | Try recalling a correct file. Store the settings to a new file and recall it when needed

Save and Recall
E801 | The current signal is not a Chirp Signal. Acquire the correct signal and proceed | The acquired signal is not a correct Chirp Signal. Correct Chirp Signal is required to perform chirp measurements | Try acquiring the signals again by pressing Run button
E802 | No Chirp-K or Chirp-J state found | As part of the USB2.0 Chirp description, a minimum of 1 Chirp-K and 1 Chirp-J state are expected after Chirp Response timing calculation | Press the Run button to acquire the signals
E803 | There should be at least 3 Chirp-K and 3 Chirp-J state | As part of the USB2.0 Chirp description, a minimum of three Chirp-K and three Chirp-J state are expected after Chirp Response timing .An absence of this may lead to incorrect results | Press the Run button to acquire the signals
E804 | No Chirp-J state found | As part of the USB2.0 Chirp description, a minimum of one Chirp-J state is expected after Chirp Response timing. An absence of this may lead to incorrect results | Press the Run button to acquire the signals
E805 | No Chirp-K state found | As part of the USB2.0 Chirp description, a minimum of one Chirp-K state is expected after Chirp Response timing. An absence of this may lead to incorrect results | Press the Run button to acquire the signals

Rise Time/ Fall Time Measurement
E901 | The High level values needs to be decreased | This message is displayed if no edge is found in the high level | Decrease the percentage of the high level values of Rise Time/Fall Time
E902 | The Low level values needs to be increased | If no edge is found in the low level the message is displayed | Decrease the percentage of the low level values of Rise Time/Fall Time
E903 | Both the High and Low level values needs to be changed | If no edge is found in the high and low level the message is displayed | Increase and decrease the percentage of the high and low level values of Rise Time/Fall Time
E904 | The calculated Rise Time is more than the calculated bit time of the input signal | This warning appears when the calculated Rise Time is more than the calculated bit time of the input signal. | Increase the lower level and decrease the upper level of the configure limits of Rise Time/Fall Time
E905 | The calculated Fall Time is more than the calculated bit time of the input signal | This warning appears when the calculated Fall Time is more than the calculated bit time of the input signal | Increase the lower level and decrease the upper level of the configure limits of Rise Time/Fall Time
E906 | The calculated Rise Time and Fall Time is more than the calculated bit time of the input signal | This warning appears when the calculated Rise Time and Fall Time is more than the calculated bit time of the input signal | Increase the lower level and decrease the upper level of the configure limits of Rise Time/Fall Time

Miscellaneous
E1000 | Invalid device Chirp-K for this test | As part of the USB2.0 description, a minimum of 3 Chirp-K and 3 Chirp-J state are expected after Chirp Response timing. An absence of this may lead to incorrect results | Try acquiring the signals again by pressing Run button
E1001 | No SOF found | No SOF in D+ and D- | Power off the DUT, check the probe connection and try acquiring the signal
E1002 | The current signal is not a Reset From Suspend signal acquire the correct signal and proceed. | Acquired signal is not a correct Reset From Suspend signal. Correct Reset From Suspend Signal is required to perform the measurement | Try acquiring the signals again by pressing Run button
E1003 | The current signal is not a Resume signal acquire the correct signal and proceed | Acquired signal is not a correct Resume signal. Correct Resume signal is required to perform the measurement | Try acquiring the signals again by pressing Run button
E1004 | The current signal is not a Suspend signal acquire the correct signal and proceed | Acquired signal is not a correct Suspend signal. Correct Suspend signal is required to perform the measurement | Try acquiring the signals again by pressing Run button
E1005 | There is no falling edge transition for this test | If there is no J state found | Try acquiring the signals again by pressing Run button
E1006 | There is no start of Chirp-K state for this device | If there is no K state found | Try acquiring the signals again by pressing Run button
E1007 | There is no K State transition driven by the host controller | If there is no K state found | Try acquiring the signals again by pressing Run button
E1008 | The current signal is not a Reset From Resume signal acquire the correct signal and proceed | The acquired signal is not a correct Reset From Resume signal. Correct Reset From Resume signal is required to perform the measurement | Try acquiring the signals again by pressing Run button


Settings for the TDS7000 Series of Oscilloscopes

Settings for the supported Instruments

This section gives a list of default oscilloscope settings that the application uses for supported instruments.

The recommended voltage probe for single-ended signals are the P6245, TAP1500 probes and for differential signals is the P6248 probe. The next table shows the oscilloscope settings for Low Speed and Full Speed signals for the supported instruments.

Upstream Setups for Low Speed signals

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Logic Pattern Threshold Trigger type function limit mode |  |  |  |  | Repeat state
Ch1(D-) | 0 | 1 V | 0 | DC | 5000 | 2.00 E-07s | 74% | Logic | AND | >100 ns | 800 mV | Normal | Off
Ch2(D+) | 0 | 1 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | 800 mV | N/A | N/A
Ch3Qualify | 0 | 1 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | 2.7 V | N/A | N/A

Upstream Setups for Full Speed signals

You can test the Full Speed devices at Tier 6. This testing is also known as legacy testing.

When Full Speed and Low Speed device are High Speed capable, the application uses the signal rate limits of Full Speed/Low Speed devices which are not High Speed capable to determine PASS or FAIL.

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Logic Pattern Threshold Trigger type function limit mode |  |  |  |  | Repeat state
Ch1(D-) | 0 | 1V | 0 | DC | 5000 | 25 E-9s | 83% | Logic | AND | >100 ns | 800 mV | Normal | Off
Ch2(D+) | 0 | 1V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | 800 mV | N/A | N/A
Ch3 Qualify | 0 | 1V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | 2.7 V | N/A | N/A

Downstream Setups for Low Speed signals

Ch. | Vertical SetupPosition Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold Trigger type mode
Ch1(D-) | 0 | 1V | 0 | DC | 2500 | 5.00 E-07s | 6% | Edge | Rise | 1.65 V | Normal
Ch2(D+) | 0 | 1V | 0 | DC | N/A | N/A | N/A | N/A | N/A | 800 mV | N/A

Downstream Setups for Full Speed signals

Ch. | Vertical SetupPosition Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold Trigger type mode |  |  |  | Repeat state | Hold off mode
Ch1 (D-) | -1.5 | 1 V | 0 | DC | 5000 | 50.0 E-9 s | 5% | N/A | N/A | N/A | N/A | N/A | 5 s
Ch2 (D+) | -1.5 | 1 V | 0 | N/A | N/A | N/A | N/A | Edge | Rise | 1.65 V | Normal | Off | N/A

Upstream Setup for High Speed signals

Probe Function External Attenuation 1.0

Ch. | Vertical SetupPosition Scale Offset |  |  | Horizontal SetupRecord Main Trigger Fit to Length scale pos. screen |  |  |  | Trigger SetupTrigger Threshold TriggerType mode |  |  | Repeat state | Hold off mode | Display Mode
Differ-ential | 0 | 0.1 V | 0 | 20000 | 2.00 E-07 | 10% | On | Edge | 176 mV | Normal | Off | 1.20 E-06 s | Sin(x)/x

Inrush Setup

Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold Trigger type mode |  |  |  | Display mode | Hold off mode
-3 | 1 A | 0 | DC | 25000 | 1.00E-05 | 10% | Edge | Rise 20 | mA | Normal | Sin(x)/x | 100 E-09

Droop Setup

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold type |  |  | Display mode | Acquisition mode
Ch1 (Vbus) | 2 | 200 mV | 5 | DC | 5000 | 2.00 E-05 | 50% | N/A | N/A | N/A | N/A | Average 16 Points
Ch2 Droop Trigger load | -3 | 2 V | 0 | DC | N/A | N/A | N/A | Edge | Rise | 2.5 V | Sin(x)/x | N/A

Chirp Device EL_28, EL_29 EL_31 setup

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold Trigger type mode |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -3.4 | .5V | 0 | DC | 5000 | 4.00E-04 | 5% | Edge | Fall | 1.35 V | Normal | Off | 1.00 E-04 | Sin(x)/x
Ch2 (D-) | -3.4 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Chirp Host EL_33, EL_34 setup

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal SetupRecord Main Trigger length scale pos. |  |  | Trigger SetupTrigger Slope Threshold Trigger type mode |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -3.4 | .5V | 0 | DC | 5000 | 4.00E-04 | 5% | Edge | Fall | 1.35 V | Normal | Off | 1.00 E-04 | Sin(x)/x
Ch2 (D-) | -3.4 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Chirp Host EL_35 setup

Ch. | Vertical SetupPos. Scale Offset Coupling |  |  |  | Horizontal Setup Record Main Trigger length scale pos. |  |  | Trigger Setup Trigger Polarity Threshold Trigger type Mode |  |  |  | Repeat state | Width | Filter | Hold off | Display mode
Ch1 (D+) | -3.40 | .5V | 0 | DC | 12500 | 1.00E-03 | 95% | Pulse (Glitch) | Positive | 0.30 V | Normal | Off | 9.0E-9 | Accept | 5.00 E-5 | Sin(x)/x
Ch2 (D-) | -3.4 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Suspend Setup

 | Vertical Setup |  |  |  | Horizontal Setup |  |  | Trigger Setup |  |  |  |  |  |
Ch. | Pos Scale Offset Cpling |  |  |  | Reclen Mainscale Trigpos |  |  | Trigtype Slope Threshhold Trigmd |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -2.96 | .5V | 0 | DC | 20000 | 4.00E-04 | 90% | Edge | Rise | 2.69 V | Normal | Off | Auto | Sin(x)/x
Ch2 (D-) | -1.72 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Resume Setup

 | Vertical Setup |  |  |  | Horizontal Setup |  |  | Trigger Setup |  |  |  |  |  |
Ch. | Pos Scale Offset Cpling |  |  |  | Reclen Mainscale Trigpos |  |  | Trigtype Slope Threshhold Trigmd |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -3.40 | .5V | 0 | DC | 50000 | 2.00E-05 | 10% | Edge | Fall | 0.690 V | Normal | Off | 1.00 E-5 | Sin(x)/x
Ch2 (D-) | -3.40 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Reset from High Speed

 | Vertical Setup |  |  |  | Horizontal Setup |  |  | Trigger Setup |  |  |  |  |  |
Ch. | Pos Scale Offset Cpling |  |  |  | Reclen Mainscale Trigpos |  |  | Trigtype Slope Threshhold Trigmd |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -3.40 | .5V | 0 | DC | 25000 | 1.00E-03 | 70% | Edge | Fall | 0.690 V | Normal | Off | 1.00 E-5 | Sin(x)/x
Ch2 (D-) | -3.40 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Reset from Suspend

 | Vertical Setup |  |  |  | Horizontal Setup |  |  | Trigger Setup |  |  |  |  |  |
Ch. | Pos Scale Offset Cpling |  |  |  | Reclen Mainscale Trigpos |  |  | Trigtype Slope Threshhold Trigmd |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | -3.40 | .5V | 0 | DC | 50000 | 1.00E-03 | 15% | Edge | Fall | 1.8 V | Normal | Off | 1.00 E-5 | Sin(x)/x
Ch2 (D-) | -3.40 | .5 V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A

Packet Parameter

 | Vertical Setup |  |  |  | Horizontal Setup |  |  | Trigger Setup |  |  |  |  |  |
Ch. | Pos Scale Offset Cpling |  |  |  | Reclen Mainscale Trigpos |  |  | Trigtype Slope Threshhold Trigmd |  |  |  | Repeat state | Hold off | Display mode
Ch1 (D+) | 0.0 | 0.2V | 0 | DC | 50000 | 50 | 50 | Width | Fall | 360E-3 | Normal | Off | 1.00 E-5 | Sin(x)/x
Ch2 (D-) | 0.0 | 0.2V | 0 | DC | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A | N/A


About Application Parameters

This section describes the TDSUSB2 application parameters, and includes the menu default settings. You should refer to the user manual for your oscilloscope for operating details of other controls, such as front-panel buttons.

The parameters for the menus and options list the selections or range of values available for each, and include the default values.

See Also

File

Save/Recall

Preferences

Measurements

Configure Signal Quality

Configure Inrush Current

Configure Droop

Results

Utilities

Control Menu


File Menu Parameters

There are no parameters for the File menu items.


Save and Recall Menu Parameters

There are no parameters for the Save and Recall menu.


Preferences Parameters

Parameters | Selections | Default setting
Warn if the configuration was not changed since last run, when Run button is pressed | On, Off | On
Show the Eye Diagram automatically, without having to press the Eye Diagram button in the Results screen | On, Off | On
Show the Waveform Plot automatically without having to press Waveform Plot button in the Results screen | On, Off | On
Ask for Filename or Device ID before automatically generating Reports or Data files | On, Off | Off
Automatically generate Data files (TSV) | On, Off | Off
Show the report when generated | On, Off | On
Always display the waiver mask for High Speed Near-end and Low Speed Eye Diagrams | On, Off | Off
LS or FS device with USB2.0 silicon | On, Off | Off
Allow the user configuration of test limits | On, Off | Off
Prompt for the Droop Test readout during Report Generation | On, Off | Off
Packet identification by user using cursors | On, Off | Off
Modify HoldOff | 250 ns to 12 s | 1.2 µs


Measurement Menus

The options available under the Measurements menu are as follows:

  • Select

  • Configure


Measurement Parameters

The next table lists the options in the Select Measurements menu by area:

Parameters | Selections | Default setting
Low Speed | Eye Diagram Signal Rate EOP Width Rise Time Fall Time Cross-Over Voltage Consecutive Jitter Paired JK Jitter Paired KJ Jitter Inrush Current Droop test | None
Full Speed | Eye Diagram Signal Rate EOP Width Rise Time Fall Time Cross-Over Voltage Consecutive Jitter Paired JK Jitter Paired KJ Jitter Inrush Current Droop test | Eye Diagram
High Speed | Eye Diagram Signal Rate EOP Width Rise Time Fall Time Monotonic Property Chirp Receiver Sensitivity Inrush Current Droop test Packet Parameter Suspend Resume Reset from High Speed Reset from Suspend | None
Device ID | User defined or fsfe_001 | fsfe_001
Device Description | User defined or Dummy Device | Dummy Device


Configure Menu

You can configure the parameters for the selected measurements. The configurations for the Signal Quality, Inrush, and Droop tests are available as different menus.

See Also

Configure Signal Quality Measurement Parameters

Configure Inrush Current Parameters

Configure Droop Test Parameters


Configure Signal Quality Measurements Parameters

Configure

Parameters | Selections | Default setting
Tier | Tier 1, Tier 2, Tier 3, Tier 4, Tier 5, Tier 6 | Tier 6
Direction | Upstream, Downstream | Upstream
Test Point | Near End, Far End | Far End

Source

Parameters | Selections | Default setting
Live/Ref | Differential Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref, Ref4 | Ch1
Live/RefSingle Ended D+ | Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref, Ref4 | Ch1
Single Ended D– | Ch1, Ch2, Ch3, Ch4 | Ch2
Qualifier | Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref, Ref4 | Ch3
File | None | C:\TekApplications\tdsusb2\tsvfiles\FS_SQC.tsv


Configure Inrush Current Measurement Parameters

Configure

Parameters | Selections | Default setting
Tier | None | Tier 1
Vbus | Range | 5.15V
Device Type | Hot Plug Attach, Low Power Configure Low Power Resume, High Power Configure, High Power Unconfigure, High Power Resume | Hot Plug Attach

Source

Parameters | Selections | Default setting
Live/Ref | Ch1, Ch2, Ch3, Ch4Ref1, Ref2, Ref, Ref4 | Ch4
File | None | C:TekApplications\tdsusb2\tsvfiles\LS_INRUSH.tsv


Configure Droop Test Parameters

Configure

Parameters | Selections | Default setting
Port | Port 1, Port 2, Port 3, Port 4, Port 5, Port 6, Port 7 | Port 1
Device Type | Self Powered Hub Bus Powered Hub | Bus Powered Hub

Source

Parameters | Selections | Default setting
Live/Ref VBUS channel Trigger | Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref, Ref4 Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref, Ref4 Ch1, Ch2, Ch3, Ch4 | Ch1 Ch2
File | None | C:\TekApplications\tdsusb2\tsvfiles\FS_SQC.tsv
VBUS source | Ch1, Ch2, Ch3, Ch4 | Ch1


Configure Receiver Sensitivity

Parameters | Selections | Default setting
Source | Ch1, Ch2, Ch3, Ch4 | Ch 1


Configure Suspend, Reset from High Speed, Resume, Reset from Suspend

Parameters | Selections | Default setting
Signal Direction | Upstream, Downstream | Upstream
Source | D+ Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 D-Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 | Ch1 Ch2


Configure Packet Parameter

Parameters | Selections | Default setting
DUT | Host, Device | Host
Host | EL_21, EL_23, EL_25 EL_55 EL_22 | EL_21, EL_23, EL_25
Source | Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 | Ch1
Device | EL_21, EL_22, EL_25 EL_22 | EL_21, EL_22, EL_25
Source | Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 | Ch1


Configure Chirp

Parameters | Selections | Default setting
DUT | Host, Device | Host
Host | EL_33, EL_34 EL_35 | EL_33, EL_34
Source | D+-Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 D--Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 | Ch1 Ch2
Device | EL_28, EL_29, EL_31 | EL_28, EL_29, EL_31
Source | D+-Ch1, Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 D–-Ch2, Ch3, Ch4 Ref1, Ref2, Ref3, Ref4 | Ch1 Ch2


Results Menus

There are no parameters for the Results Menus.


Utilities Menus

There are three Utilities menu items:

  • Deskew

  • Report Generator

  • TSV File Generator


Deskew

Parameters | Selections | Default setting
Source1 Ref level1 Hysteresis1 | Ch1, Ch2, Ch3, Ch4 0 -100 % 0-25% | Ch1 50% 5%
Source2 Ref level2 Hysteresis2 | Ch1, Ch2, Ch3, Ch4 0 -100 % 0-25% | Ch2 50% 5%
Slope | Rise, Fall | Fall
Edges | 1 to 50 | 1


Report Generator Menu Parameters

Parameters | Selections | Default setting
Report Format | Tektronix specific, Plug-Fest format, CSV format | Tektronix specific
Generation | Automatic, Manual | Manual
File name | fsfe_001-tek.htm | C:\TekApplications\tdsusb2\report\fsfe_001-tek.htm
Report Directory | None | C:\TekApplications\tdsusb2\report


TSV File Generator Menu Parameters

Parameters | Selections | Default setting
Input | CSV, Live | C:\TekApplications\tdsusb2\csv files\csvFile001.csv
CSV Waveform Source | Single-Ended (D+ D-) Differential | Single-Ended C:\TekApplications\tdsusb2\tsvfilegenerator\Dplus.csv C:\TekApplications\tdsusb2\tsvfilegenerator\Dminus.csv C:\TekApplications\tdsusb2\tsvfilegenerator\Differential.csv
TSV File name | TSV Source File | C:\TekApplications\tdsusb2\tsvfilegenerator\TsvFile001.tsv


Help Menu

Help Topics - Displays the help file for the TDSUSB2 application.

About TDSUSB2 - Displays a dialog box with information about the current TDSUSB2 application.

See Also

Using Online Help


Control Menu Parameters

Parameters | Selections
Run | None
Hide | None
Exit | None


About Measurement Algorithms

The TDSUSB2 package performs measurements for USB2.0 compliance. This section contains information about the algorithms used by the application to perform each measurement.

See Also

Crossover voltage for Low/Full Speed Signals

Crossover voltage for High Speed Signals

Signal Rate

EOP Width

Consecutive and Paired Jitter

Eye Diagram

Eye Violation

Inrush Current

Droop Test

Receiver Sensitivity

Chirp Test

Monotonic Property

Rise Time

Fall Time

Packet Parameter

Resume

Suspend

Reset from Suspend

Reset from High Speed


Cross-Over Voltage for Low Speed and Full Speed Signals

You can define the Cross-Over point as the point where the Data+ line voltage crosses the Data– line voltage. The voltage value at this point is called the Cross-Over Voltage and the time value is called the Cross-Over time.

In the next figure, C1, C2, C3, C4 and C5 are called Cross-Over Points and R1, R2, R3, R4, R5, R6 and R7 are called Reference points.

The following figure explains the interpolation technique used to find the actual cross over where p1 and p2 are the adjacent data points after q2:

The intersection of the four voltage points p1, p2, q1, and q2 gives the Cross-Over point for Voltage level (y) and time (x). x and y coordinates are obtained by solving the following two equations:

Where: p1, p2, q1, and q2 are the consecutive data points of a single-ended signal.

x and y are the Cross-Over coordinates x and y that is given by the intersection of p1, p2, q1, and q2.

t1 and t2 are the time values for the data points p1 and p2.


Cross-Over Voltage for High-Speed Signals

The Cross-Over is defined as that point where the Differential line voltage becomes zero. The voltage value at this point is called the Cross-Over Voltage and the time value is called the Cross-Over Time.

The following algorithms are used for High Speed signals for Cross-Over voltage.

for High Speed y=0

If,

If,

Where: p1 and p2 are the consecutive data points of a single-ended signal.

x and y are the coordinates of the point where the Differential line voltage becomes zero.

t1 and t2 are the time values for the data points p1 and p2.

Note: Low Speed and Full Speed Signals are acquired with single-ended probes that enable finding the Cross-Over Voltage.

Note:For High Speed devices, the signal is differential, Cross-Over voltage is zero and crossover time is the interpolation of two data points at zero crossings.


Signal Rate

You can define the signal rate for Low or Full speed signals as the inverse of the average bit time that gives the transmission rate of the USB2.0 signal. For high speed signals, the signal rate is defined as the inverse of the average bit time that gives the transmission rate of the Test_Packet.

The average signal rate is the calculated average of number of bits divided by sum of all periods.

Where: SumWeights is the total number of bits in the packet.

SumPeriod is the sum of all time periods between the cross overs.

C1 and C2 are the Cross-Over points.

Bit time is the difference of the time values of C2 and C1.


EOP Width Calculation

You can define the EOP width for Low or Full speed signals as the width of the end-of-packet of a USB2.0 signal. For high speed signals, it is defined as the width of the end-of-packet pattern of a Test_Packet.

EOP Width is calculated as shown below.

Where:

EOP1 and EOP2 are the data points on a USB2.0 signal crossing the Mean Cross-Over level. The Cross-Over level is the mean value of all crossovers in the USB2.0 packet.


Consecutive and Paired Jitter

You can test two types of Jitter measurements: Consecutive and Paired Jitter. Consecutive jitter measures the consecutive data bit calculated using the signal rate.

Consecutive jitter is calculated as follows.

Where: C1, C2, C3, and C4 are the Cross-Over points.

R1, R2, R3, and R4 are the reference points.

Consecutive jitter is the difference between the time values at Rx and Cx.

Consecutive jitter is calculated for all Cross-Overs of the USB2.0 signal.

Paired JK Jitter is defined as the jitter time for paired (JK next to KJ) differential data transition. Paired KJ Jitter is defined as the jitter time for paired (KJ next to JK) differential data transition. They are calculated for all the consecutive jitters as:

and so on till the last Cross-Over.


Eye Diagram

The Eye Diagram checks whether the USB signal is aligned with its corresponding eye diagram. It represents the whole signal by splicing it into a number of waveforms of unit interval (each waveform is of one bit time interval) scaled and represented on the eye masks.


Eye Violation

An eye violation occurs when an USB signal crosses an eye mask. The results of the eye violation are PASS if the waveform does not violate the eye masks. The result is FAIL if the waveform violates the Eye Masks. The result is CONDITIONAL PASS if the waveform violates the eye mask, but is within the waiver mask.

By default, the application displays the waiver mask if the result is either CONDITIONAL PASS or FAIL. If you select the option "Always show the waiver mask in the eye diagram" in File> Preferences menu, the waiver mask is displayed irrespective of the result.


Inrush Current

Inrush Current is calculated by recording all the current values above the 100 mA current level throughout the signal. This signal is integrated to get the total charge greater than 100 mA. This is the charge in Coulombs and is calculated using the equation:

?idt

Where:

i is the current waveform above 100 mA.

Capacitance is calculated by using the equation,

Where: C is the capacitance.

Q is the charge.

V is the voltage.

The supply voltage is one of the inputs to Inrush measurement.


Droop

Droop Test

Droop voltage is the difference between the VBUS value when the droop load is off and the lowest voltage of the VBUS value when the droop load is powered on.


Receiver Sensitivity Test

You can test the Receiver sensitivity of a high speed device to respond to the particular data pattern generated by the USB Data Generator (DG2040). Receiver Sensitivity responds whenever the data pattern level of the voltage level is greater than 150 mV and does not respond when the voltage level is equal to or less than 100 mV below the squelch level. The application provides the procedural steps to this test.

View the procedural steps here


Chirp Test

Chirp Test for a Device

This test examines the basic timing and voltages of both upstream and downstream ports during the speed detection protocol. To get the Chirp signal, hot-plug the unit under test (device) and measure the signalling with single-ended probes on both lines. The application analyzes data for the following:

  • Reset duration

  • Chirp-K amplitude

  • Chirp-K duration

Note: There must be three K-J pairs after chirp-K that are less than 500 µs. This is to check the response of the device. The response time must be less than 100 µs. You can verify this manually.


Chirp Test Host1

Host Chirp Test

This test examines the basic timing and voltages of both upstream and downstream ports during the speed detection protocol. To get the Chirp signal, hot-plug the unit under test (Host) and measure the signalling with single ended probes on both lines. The application analyzes data for the following:

  • Chirp Response Timing

  • Chirp-K and Chirp-J duration

The application analyzes data for the Chirp J/K to first SOF Time.


Monotonic Property Test

This algorithm calculates the number of monotonic violations that are present from of the start of the signal to the end of packet (EOP). For the signal to be monotonic, the signal is checked from 15% to 85% of the Peak to Peak differential signal levels or user specified levels.

Monotonicity is calculated for Rising and Falling slopes as follows:

For Rising slope, f(x) is a differential signal if,

signal is monotonic for all values of x till the last data point.

For Falling slope, f(x) is a differential signal if

for all values of x till the last data point.


Rise Time

The Rise Time measurement is the time difference between when the VRefHi reference level is crossed and the VRefLo reference level is crossed on the rising edge of the waveform. The Rise Time algorithm uses the VRef values as the reference voltage level. Each edge is defined by the slope, voltage reference level (threshold) and hysteresis.

The application calculates this measurement using the following equation:

Where: TRise is the rise time

THi+ is the VRefHi crossing on the rising edge

TLo+ is the VRefLo crossing on the rising edge


Fall Time

The Fall Time measurement is the time difference between when the VRefLo reference level is crossed and the VRefHi reference level is crossed on the falling edge of the waveform. The Fall Time algorithm uses the VRef values as the reference voltage level. The slope, voltage reference level (threshold), and hysteresis define each edge.

The application calculates this measurement using the following equation:

Where: TFall is the fall time

TLo- is the VRefLo crossing on the falling edge

THi- is the VRefHi crossing on the falling edge


Packet Parameter

The algorithm calculates the SYNC field length, EOP length, and the Inter-Packet gap. The acceptable range of EOP for all transmitted packets (except SOFs) must be between 7.5 and 8.5 bits. The packet parameter algorithm calculates and verifies the EOP depending on this range.

The acceptable range of inter-packet gap should be between 88 bits to 192 bits. The SYNC field for all transmitted packets is calculated by counting the bits to check for 32-bit SYNC field. The inter-packet delay and SYNC status is calculated between the respective EOP indexes of the packets. The EOP width in time is calculated by dividing the EOP width by the signalling rate of 480 Mbps.

Oscilloscope setup details:

The application sets the oscilloscope automatically to the following values:

Horizontal Scale: 400 ns

Record Length: 50 K

Vertical Scale: 200 mV

Trigger Type Pulse Width

Trigger Hold Off: 5 s


Resume

This test calculates the device/HUB resume High-speed operation, indicated by High-speed SOF packets (with 400 mV nominal amplitude) following the K state driven by the host controller. For the Host, this is the time between the falling edge of D+ and the First SOF. This should not exceed 3.0mS. To get the Suspend signal, hot-plug the unit under test (device) and measure the signaling with single-ended probes on both lines. The application analyzes data for the following:

  • Resume Time

  • Amplitude


Suspend

This test calculates the time between the end of last SOF and the rising edge transition to Full-speed J state for Host / Device / Hub- upstream. This time must be between 3 ms and 3.125 ms. To get the Suspend signal, hot-plug the unit under test (device) and measure the signalling with single-ended probes on both lines. The application analyzes data for the Suspend Time.


Reset from Suspend

This test calculates the time between the falling edge of D+ signal and the start of Device chirp-K for the Device/HUB upstream. This must be between 2.5 us and 3 ms. To get the Reset from Suspend Measurement signal, hot-plug the unit under test (device), and measure the signaling with single-ended probes on both lines. The application analyzes data for the Reset From Suspend Time.


Reset from High Speed

This test calculates the time between the beginning of the last SOF and before the reset and the beginning of Chirp-K for Device and HUB upstream. This must be between 3.1 ms and 6 ms. To get the Reset from High-Speed Measurement signal, hot-plug the unit under test (device) and measure the signaling with single-ended probes on both lines. The application analyzes data for Reset From High Speed Time.


Low Speed Downstream Host Equipment Setup

Low Speed Downstream Signal Quality Host Equipment Setup

To set up the equipment for Low Speed Downstream Signal Quality test, follow these steps:

  1. Connect a cable between the A receptacle from the Inrush test section of the test fixture and the USB device.

  2. Connect Ch1 of the D+ probe to the D+ pins on the Inrush section of the test fixture.

  3. Connect Ch2 of the D– probe to the D– pins on the Inrush section of the test fixture.

  4. Use the connectors to connect the A pin dongle from the Inrush section of the test fixture to any port of the unit under test (host or PC).

  5. Select the measurement and select the [image] command button to run the application.

  6. Select OK after acquiring a waveform. Verify that it is a correct waveform.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed on screen.


Low Speed Signal Quality for HUB Downstream

To set up the equipment for Low Speed Signal Quality (hub) test, follow these steps:

  1. Connect the A plug dongle from the Inrush section of the test fixture to the port of the unit under test (hub).

  2. Connect the low speed test device to the A receptacle on the Inrush section of the test fixture. Keep the Discharge switch always in the ON position.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Inrush section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Inrush section of the test fixture.

  5. Configure the measurement and select the [image] command button to run the application.

  6. Select OK after acquiring a waveform. Verify that it is a correct waveform.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed on screen.


Full Speed Signal Quality HUB Downstream Setup

To set up the equipment for Full Speed Signal Quality Downstream test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use the adapters to connect the A receptacle from Device SQ test section (marked DUT) of the test fixture to the USB2.0 Low Speed device.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Device SQ section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Device SQ section of the test fixture.

  5. Connect the Init port of the Device SQ section of the test fixture to any port of the unit under test (hub) using the USB cable.

  6. Select the measurement and select the [image] command button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: Make sure the acquired signal is a valid waveform.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed on screen.


Full Speed Downstream Host Equipment Setup

To set up the equipment for Full Speed Downstream (host) test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Connect the A receptacle from Device SQ test section (marked DUT) of the test fixture to the hub system. Connect the Full Speed test device to Hub 5.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Device SQ section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Device SQ section of the test fixture.

  5. Use the standard USB cable to connect the Device SQ section of test fixture to the test port of the unit under test (host).

  6. Select the measurement and select the [image] command button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed on screen.


Full Speed Upstream Signal Quality Setup

To set up the equipment for Full Speed Upstream test, follow these steps:

  1. Use the A receptacle to connect the USB unit under test (device) to the Inrush section of the test fixture.

  2. Connect the Qualifier device to the Adjacent Trigger and Droop section of the test fixture as shown in the next figure.

  3. Connect Ch1 of the D+ probe to the D+ pins on the Inrush section of the test fixture.

  4. Connect Ch2 of the D– probe to the D– pins on the Inrush section of the test fixture.

  5. Connect the D+ (D– for Low speed) pin of the Adjacent Trigger and Droop Section of the test fixture to Ch3 as shown in the next figure.

  6. Use the connectors to connect the A pin dongle from the Adjacent Trigger and Droop section of the test fixture to one port of Hub 5. Use the A pin dongle from the Inrush Droop section of the test fixture to another port of Hub 5.

  7. Select the measurement and select the [image] command button to run the application.

  8. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: Use the standard USB cables to connect between the hubs. Keep the Discharge switch in the Inrush Droop section in the ON position.

If the signal is clipped, follow these steps to increase the vertical scale:

  1. In the oscilloscope menu, select Vertical>Vertical Setup to display the Channel screen.

  2. In the Scale field, increase the vertical scale values until the waveform is completely displayed on screen.


High Speed Signal Quality Setup

High Speed Device Signal Quality Setup

To set up the equipment for the High Speed Signal Quality test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Connect the standard USB cable between the Device SQ Init port and the host port.

  3. Connect the A receptacle (marked DUT) from the Device SQ test port of the test fixture to the unit under test (device).

  4. Configure the measurement and select the [image] command button to run the application.

  5. Place the device in the test mode Test_Packet from the host controller.

  6. Set the S6 switch to the test position to isolate the unit under test while maintaining the bus power.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Chirp Test Equipment Setup

The section used for this device test is Device SQ in the test fixture. To set up the equipment for Chirp test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard USB cable with an A plug on one end and B plug on the other end. Connect one end of the cable to the B socket on the Init port of Device SQ section and the other end to the host port A socket.

  3. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  4. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  5. Select the measurement and select the [image] command button to run the application.

  6. Disconnect and connect the unit under test (device) to the port and observe the chirp signal on the oscilloscope.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note: To avoid false triggering for the chirp signals while operating the test fixture, it is recommended that you place the switch in the Init position and connect the unit under test. This disables the switch bounce to the trigger.


Receiver Sensitivity Setup

To set up the equipment for Receiver Sensitivity test, follow the procedural steps in the application.


Inrush setup

To set up the equipment for Inrush test, follow these steps:

  1. Use the dongle on the Inrush section of the test fixture to connect it to the host system.

  2. Connect the current probe between the VBUS loop wire on the Inrush section on the Test fixture and Ch1 of the oscilloscope.

  3. Select the measurement and select the [image] command button to run the application.

  4. Connect the unit under test to the A Receptacle of the Inrush section of the test fixture and observe the Inrush current signal.

  5. Select OK after acquiring a waveform. Verify that it is a correct waveform.

Note : To avoid the triggering of Inrush signals and false inrush current by the discharge switch, place the inrush discharge switch in the ON position and hot-plug the unit under test (device). If a valid Inrush signal is not acquired, use the cursor mode in File> Preferences or setup the oscilloscope to get a valid waveform.


Resume Test Equipment Setup

To set up the Device SQ in the test fixture for the Resume test, follow these steps:

  1. Set the S5 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end. Connect one end of the cable to the B socket on the Init port of the Device SQ section and the other end to the host port A socket.

  3. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  4. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  5. Select the Resume measurement in the application, configure its options and select the Run button to run the application.

  6. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Reset from Suspend Test Equipment Setup

To set up the Device SQ in the test fixture for the Reset from Suspend test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B socket on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Reset from Suspend measurement from the application, configure its options, and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Suspend Test Equipment Setup

To set up the Device SQ in the test fixture for the Suspend test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B socket on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Suspend measurement, configure its options and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Reset from High Speed Test Equipment Setup

To set up the Device SQ in the test fixture for the Reset from High Speed test, follow these steps:

  1. Set the S6 switch to the Init position.

  2. Use a standard length of the USB cable with an A plug on one end and a B plug on the other end.

  3. Connect one end of the cable to the B socket on the Init port of the Device SQ section and the other end to the host port A socket.

  4. Connect the A receptacle from the Device SQ test port to the unit under test (device).

  5. Connect the single-ended probes of the oscilloscope to the D+ and D– pins.

  6. Select the Reset from High Speed from the application, configure its options and select the Run button to run the application.

  7. Select OK after acquiring a waveform. Verify that it is a correct waveform.


Packet Parameter Test Equipment Setup

  1. If your DUT is EL_21, EL_23, EL_25, select the Single Step Set Feature option from the HS electrical test tool.

  2. If your DUT is EL_22, select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  1. Complete procedures 1 and 2 to set up the test fixture and the oscilloscope.

  2. The oscilloscope acquires and displays the waveform as shown in the next figure.

  3. "Press OK when correct waveform is acquired”.

  4. The application measures the synchronous bits (32) of the first and second packets. This is EL_21.

  5. The application measures the EOP of the second packet (8bits). This is EL_25. As the signal is differential, the EOP can be a positive or a negative pulse .

  6. The application measures the inter-packet gap of the first two packets (88-192 bits). This is EL_23 as shown in the next figure.

  1. Complete procedures 1 and 2 to set up the test fixture and the oscilloscope.

  2. Select the Step button in the HS Electrical Test Tool.

  3. The oscilloscope acquires and displays the waveform as shown in the next figure.

  4. "Press OK when correct waveform is acquired”.

  5. The application displays the waveform as shown in the next figure.

  6. The application measures the inter packet gap of the second and the third packet (88-192 bits). This is EL_22.

  1. Complete the procedure 1.

  2. Run the test mode software and select the Host option.

  3. Select the Enumerate button in the HS electrical test tool to identify the device connected to the host controller.

  4. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger). You can see the SOFs on the oscilloscope screen.

  1. If your DUT is EL_21, EL_23, EL_25, select the Single Step Set Feature option from the HS electrical test tool.

  2. If your DUT is EL_22, select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  1. Complete procedures 1 and 3 to set up the oscilloscope.

  2. The oscilloscope acquires and displays the waveform as shown in the next figure.

  3. "Press OK when correct waveform is acquired”.

  4. The application measures the synchronous bits (32) of the third packet. This is EL_21.

  5. The application measures the EOP of the third packet (8bits). This is EL_25. As the signal is differential, the EOP can be a positive or a negative pulse .

  6. The application measures the inter-packet gap between the second and the third packets (88-192 bits). This is EL_23 as shown in the next figure.

  1. Complete procedures 1 and 3 to set up the oscilloscope.

  2. Select the Step button in the HS electrical test tool to acquire the waveform as shown in the next figure.

  3. The application measures the number of bits (88-192) between the packets.

Packet Parameter Test Equipment Setup

Test Fixture Setup

To set up the test fixture, follow these steps:

  1. Set the S5 switch to the Init position.

  2. Connect the standard USB cable between the Device SQ Init port and the host port.

  3. Connect the A receptacle (marked DUT) from the Device SQ test port to the B receptacle device.

  4. Apply the power to the test fixture.

  5. Apply the power to the DUT.

  6. Attach the differential probe near the device connector on the test fixture.

Set up the Oscilloscope for High Speed Host

  1. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger) and displays the message,"Press OK when correct waveform is acquired”. You can see the SOFs on the oscilloscope screen.

  2. If you are not able to acquire the waveform automatically, perform Autosetup in the oscilloscope to display the SOF.

  3. Click here to find out how to adjust the trigger manually.

You can use the application to perform the following measurements:

  • High Speed Host: EL_21, EL_23, EL_25 (EOPII-InterPacketI&II)

  • High Speed Host: EL_22 (InterPacketII&III)

  • High speed Host: EL_55 (SOF-EOP)

To set up the oscilloscope for the High Speed Device EL_21, EL_23, EL_25 (Sync-EOPIII-InterPacketII&III) and a High Speed Device EL_22 (InterPacketI&II), follow these steps:

  1. Select the measurement and run the application. The application automatically sets the oscilloscope parameters (Horizontal, Vertical, and Trigger) and displays the message,"Press OK when correct waveform is acquired”. You can see the SOFs on the oscilloscope screen.

  2. If you are not able to acquire the waveform automatically, perform Autosetup in the oscilloscope to display the SOF.

  3. Click here to find out how to adjust the trigger manually.

You can use the application to perform the following measurements:

  • High Speed Device:EL_21, EL_23, EL_25 (Sync-EOPIII-InterPacketII&III)

  • High Speed Device:EL_22 (InterPacketI&II)


Glossary

Cross-Over Points

The Cross-Over point is defined as the intersection of the D+ and D– single-ended signals. For differential signals, the Cross-Over is zero crossings of the differential signal.

Downstream

The direction of data flow from the host or away from the host. A downstream port is the port on a hub electrically farthest from the host that generates downstream data traffic from the hub. Downstream ports receive upstream data traffic.

EOP

End-of-Packet.

EOP (E), Idle (I), J, K

The different bus states of the USB signal.

Eye Pattern

A representation of the USB signal that provides minimum and maximum voltage levels, as well as the signal jitter.

Eye Violation

Any part of the waveform that crosses the defined eye mask.

Full-speed

USB operation at 12 Mb/s.

High-speed

USB operation at 480 Mb/s.

Host

The host computer system where the USB Host Controller is installed. This includes the host hardware platform (CPU, bus, etc.) and the operating system in use.

Host Controller

The host’s USB interface.

Hot-Plug

It is the technology that supports automatic configuration of the PC hardware and the attached device. You can attach a device or hot plug and start working without having to manually configure the device. This is how it is referred to in the application.

HUT

A Host/Hub Under Test.

Hub

A USB device that provides additional connections.

Low-speed

USB operation at 1.5 mb/s.

mb/s

It is the transmission rate expressed in megabits per second.

NAK

A handshake packet indicating a negative acknowledgment.

Pulse Diagram

The Plot of the USB signals showing Annotations of J,K, EOP (E) , Idle (I), Cross-Over Points (Cov) and Reference Points (Ref).

Reference point

The simulation of ideal Cross-Over points, which helps calculate jitter.

Reflectometer

An oscilloscope capable of measuring impedance characteristics of the USB signal lines.

Sample Rate

It is the number of samples per second, expressed in Hertz (Hz).

Signal Direction Downstream

It is defined as the direction of data flow away from the host. A downstream port is the port on a hub farthest from the host that generates downstream data traffic from the hub. Downstream ports receive upstream data traffic.

Signal Direction Upstream

It is defined as the direction of data flow towards the host. An upstream port is the port on a device closest to the host that generates upstream data traffic from the hub. Upstream ports receive downstream data traffic.

Tier

The position in the hub where the device is connected to the system.

Test Point

A device is classified as far end or near end depending upon the captive cable. A device with captive cable is usually called as a far end device, otherwise as a near end device.

Test Fixture

It is the break-out board that helps in probing signals.

UUT

Called as the Unit Under Test. The unit can be a USB device, hub, port or a host.

Upstream

The direction of data flow towards the host. An upstream port is the port on a device electrically closest to the host that generates upstream data traffic from the hub. Upstream ports receive downstream data traffic.

VBUS

It is the supply voltage which a function or hub requires to work.


View Droop Test Results Details


View Droop Check Summary


View Droop Test Report in CSV Format


View Droop Test Report in Plug-Fest Specific Format


View Droop Test Report in Tektronix Format


View Full Speed Measurement Report in Tektronix Format


View Full Speed Measurements Report in CSV Format


High Speed Report in CSV format


View Inrush Measurement Plug-Fest Specific Format


View Inrush Measurements Report in Tektronix Format


View Low Speed Measurement Report in CSV Format


View Low Speed Measurement Report in Plug-Fest Specific Format


View Low Speed Measurement Report in Tektronix Format


Hysteresis indicates the noise level in the waveform.


View Configure Droop Test Measurement Menu

See Also

Configure Droop Test Menu Parameters


View Inrush Current Measurement Check

Configure tab

Source tab


View Configure Low Speed Signal Quality Check Measurements Menu

Configure

Source


Control Menu

See Also

Control Menu Parameters


Droop Test Configuration Options

Option | Description
Port | Port of the unit under test (hub) from where the signal is acquired, Port 1 to Port 7
Hub | Selects the hub from the following: Self Powered or Bus Powered
Source | Source of signal, whether Live/Reference or stored signal is used. Stored signal is taken from a file
Configure Limits | Configures the measurement limits by changing the maximum and minimum limits within valid values if you have selected this option in the Preferences menu


View Eye Diagram for Low Speed Measurements


Inrush Current Configuration Options

Option | Description
Tier | Tier from where the signal is acquired, Tier 1
VBUS (Manual) | Supply Voltage that is, the VBUS can be entered manually or probed from a channel which is captured from the test fixture. You can select from the Source tab of Inrush Configuration menu.
Device Type | Select the type of unit under test from the following: Hot Plug Attach, Low Power Configure, Low Power Resume, High Power Configure, High Power Unconfigure, High Power Resume
Source | Live: Differential Single Ended- D+, D- Qualifier Ref: DifferentialFile: From a .tsv file
Configure limits | Configure the measurement limits by changing the maximum and minimum limits within valid values, if you select this option in the Preferences menu
VBUS (Source) | Source of the VBUS voltage. This is applicable only if the value is not entered manually

See Also

Configure Inrush Current Measurement Menu Parameters


View Waveform Plot for Low Speed Measurements


View Report Generator Menu

See Also

Report Generation Menu Parameters


Report Generation Options

Option | Description
Report Format | Select any one of the report formats
Generation Mode | Select a report generation mode: Automatic or Manual
File | Enter/browse the name of the report file
Generate | Used to generate the report in the manual mode


View Signal Quality Check Report in CSV Format


View Signal Quality Check Report in Plug-Fest Format


View Signal Quality Check Report in Tektronix Specific Format


View Low Speed Select Measurements


View Select Measurements Menu


Signal Quality Configuration Options

Option | Description
Tier | From where the signal is acquired, Tier 1 to Tier 6
Signal Direction | Direction of the signal, Upstream or Downstream
Test Point | Position at which the signal is acquired, Near or Far End
Configure Levels Rise/Fall Time Monotonic Property (For High Speed devices only) | Configures the range of measurement levels for Rise Time, Fall Time, and Monotonic Property tests by changing the measurement levels for each.
Configure Limits | Configure the measurement limits by changing the maximum and minimum extents within valid values
Source Live: | Differential Single Ended- D+, D – Qualifier Ref: DifferentialFile: From a .tsv file

Note: The USB2.0 specifications recommend that you test the signal quality for upstream and downstream traffic. In upstream testing, the application captures the signals transmitted from the device to the host. In downstream testing, the application captures the signals transmitted from the host to the device.

Downstream testing is performed on ports of a hub. When testing a hub, you need to connect the USB2.0 unit to Tier 6 to ensure the worst case. Each hub level is referred to as a Tier. The hub under test is plugged into Tier 5, so that you can test the hub on the Tier 6.

See Also

Configure Signal Quality Measurements Menu Parameters


TSV File Generator Options

Option | Description
Input | Select the Input from the CSV file or a Live file
CSV Waveform Source | A file that is a waveform exported from the oscilloscope in the .csv format. There are two separate .csv files corresponding to D+ and D- signals. You need only one .csv file for the Differential signals
Live | The waveform from the scope is directly taken and converted to a .tsv file
Signal Type | Select Signal Type: Single Ended or Differential
Diff | It is the path for Differential .csv file applicable when you select the Differential option
D+ | It is the path for the Dplus.csv file applicable when you select the Single Ended option
D - | It is the path for the Dminus.csv file applicable when you select the Single Ended option
TSV Destination File | Name of the TSV file generated
Convert | Used to initiate the conversion process


View Configure Chirp Test


View Configure Limits


View Configure Receiver Sensitivity


View Exiting the Application


View Preferences


View Result Details


View Results Summary


View TSV File Generator


Contacting Tektronix

Phone | 1-800-833-9200*
Address | Tektronix, Inc. 14200 SW Karl Braun Drive P.O. Box 500 Beaverton, OR, 97077 USA
Web site | www.tektronix.com
Sales support | 1-800-833-9200, select option 1*
Service support | 1-800-833-9200, select option 2*
Technical support | Email: techsupport@tektronix.com 1-800-833-9200, select option 1* 6:00 a.m - 5:00 p.m. Pacific time
* This number is toll free in North America. After office hours, please leave a voice mail message. Outside North America, contact a Tektronix sales office or distributor; see the Tektronix web site for a list of offices.


View Inrush Current Check Configure Tab


View Inrush Current Check Results


View Inrush Current Check Results Details


View Inrush Current Check Test Details


View Details of Individual Measurements


View Source From File and Browse For Low Speed Signal Quality Check


Returning to the Tutorial

To return to the tutorial setup, you can start the application and then recall the saved setup. To recall the application setup, refer to Recalling a Saved Setup.


View Inrush Current Check Source Tab


Stopping the Tutorial

If you need more than one session to complete the tutorial, you can stop the tutorial and return later.

To save the application and oscilloscope setup, stop your session, refer to Saving a Setup and to Exiting the Application.


View Signal Quality Check Configure Menu


View Inrush Current Check Details


View Droop Test Configure Menu


View High Speed Measurement File


View Signal Quality Check Measurements Select Menu for High Speed


View Inrush Current Check Select Measurement Menu


View Signal Quality Check Low Speed Tab


View Inrush Current Check Detail


View Reports

To view the report file in a text editing application, such as Wordpad, follow these steps:

  1. From the Windows tool bar, select Start> Programs> Accessories> Wordpad.

  2. Select File> Open.

  3. Locate the C:\TekApplications\tdsusb2\reports directory.

  4. Select All Documents (*.*) for the Files of Type.

  5. Select the results .csv file and open.

You can also import the .csv file to a DOS–based personal computer and then view the file with a spreadsheet, database, or a data analysis program.


View Low Speed Measurements Results


View Source from File and Browse for Signal Quality Check


View the CSV Sample Report File


View the Default Report Generator


View the Default Screen


View the Default Setting of the Application


View the Default Setup Message


View Individual Results


View Overall Results


View Result Summary


View Sample Report File


View the Waveform Plot